<?php
 If (!IsSet ($reentrance))
  {
   Session_Start () ;
   Include ("../../include/garennes.cfg") ;
   Include ("../../include/init.php") ;
   Include ("../include/config.inc") ;
   If ($droit_courant == $droit_prof) { $fenetre = 1 ; } Else { $fenetre = 0 ; }
   verif_droits ($droit_courant, $_SESSION ["code"]) ;
  }
 // Variable de typage de page pour ie (page 4 du menu)
 $type = var_courante ("type", 0, 4) ;
 
 $id_eleve = var_courante ("id_eleve", 0, null) ;
 $id_classe = var_courante ("id_classe", 0, 0) ;
 $periode = var_courante ("periode", 0, 1) ;
 $code = var_courante ("code", 0, $_SESSION ["code"]) ;
 $aep = var_courante ("aep", 0, null) ;
 $id_utilisateur = utilparcode ($_SESSION ["code"]) ;
 $id_etablissement = id_etablissement_par_id_classe ($id_classe) ;
 $aff_vie_scolaire = var_courante ("aff_vs", 0, 1) ;
 $millesime = millesime (0) ;
 
 If (IsSet ($aep) And ($aep == 1))
  {
   $aep_id_etablissement = var_courante ("aep_id_etablissement", 0, 0) ;
   $droit_equipe = restaure_configuration ("SYSTEME_PARAM", "saisie_equipe_peda_".$droit_courant, $aep_id_etablissement) ;
   $id_pp = professeur_principal ($id_classe) ;
   If ((($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe) Or
       (($droit_courant == $droit_prof) And ($id_utilisateur == $id_pp)) And ($droit_equipe == 1)))
    {
     If (($id_eleve > 0) And ($periode > 0))
      {
       $aep_texte = var_courante ("aep_texte", 0, "") ;
       $aep_texte = htmlspecialchars ($aep_texte) ;
       $aep_texte = filtrage ($aep_texte) ;
       //$aep_texte = StripSlashes ($aep_texte) ;
       //$aep_texte = Str_Replace ("'", "\\'", $aep_texte) ;
       //$aep_texte = filtrage (Str_Replace ("'", "\\'", var_courante ("aep_texte", 0, ""))) ;
       $ok = ecriture_appreciation_equipe_pedagogique ($id_eleve, $id_classe, $periode, $aep_texte) ;
       If ($ok) { $appr_ep = 1 ; } Else { $appr_ep = 0 ; }
       // Cases a cocher
       $droit_cases_cochables = restaure_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$aep_id_etablissement, "ACTIVATION") ;
       If ($droit_cases_cochables == "") { sauvegarde_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$aep_id_etablissement, "ACTIVATION", 0) ; $droit_cases_cochables = 0 ; }
       If ($droit_cases_cochables == 1)
        {
	 $nombre = restaure_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$aep_id_etablissement, "NOMBRE") ;
         If ($nombre > 0)
          {
	   For ($i = 1 ; $i <= $nombre ; $i++)
	    {
	     $valeur = var_courante ("val_".$i, 0, 0) ;
	     sauvegarde_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$aep_id_etablissement, "VALEUR_".$id_classe."_".$id_eleve."_".$periode."_".$i, $valeur) ;
	    }
	  }
	}
      }
    }
  }

 If ($droit_courant == $droit_prof)
  {
   $param_theme = parametres_theme (themeparsession ($_SESSION ["code"])) ;
   $rep_themes = "../../images/themes/" ;
   Include ($rep_themes.$param_theme ["nom_repertoire"]."/".$param_theme ["fichier_config"]) ;
   $nbr_periode = nombre_periode ($id_classe) ;
   If ($periode > $nbr_periode) { $periode = $nbr_periode ; }
  }

 If (IsSet ($id_eleve))
  {
   If ($id_eleve < 0)
    {
     // Procedure d'appel du calcul du PDF
     Echo "<HTML><HEAD><TITLE>Garennes.</TITLE>" ;
     //Echo "<META HTTP-EQUIV=\"REFRESH\" CONTENT=\"1;url=./affiche_bulletin.php?id_eleve=".(-$id_eleve)."&id_classe=".$id_classe."&periode=".$periode."&code=".$_SESSION ["code"]."\">" ;
     Echo "</HEAD><BODY" ;
     If ($droit_courant == $droit_prof) { Echo " BACKGROUND=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][10]."\" TEXT=\"".$theme [0][38]."\"" ; }
     Else { Echo " BACKGROUND=\"../images/fond.png\" TEXT=\"#000000\"" ; }
     Echo " onContextMenu=\"return false\">" ;
     Echo "<CENTER><B>Calcul de la page du bulletin de notes en cours...<BR>Veuillez patienter S.V.P.</B><BR>MERCI&nbsp;!<BR>" ;
     Echo "<a href=\"./affiche_bulletin.php?id_eleve=".(-$id_eleve)."&id_classe=".$id_classe."&periode=".$periode."&code=".$_SESSION ["code"]."\">" ;
     Echo "<IMG SRC=\"" ;
     If ($droit_courant == $droit_prof) { Echo $rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][11]."\" BORDER=\"1\" STYLE=\"border:1px solid ".$theme [0][42]."\"" ; }
     Else { Echo "../../images/attente.gif\" BORDER=\"1\" STYLE=\"border:1px solid #000000\"" ; }
     Echo "></a></CENTER>" ;
     Echo "<form action=\"./affiche_bulletin.php\" method=\"post\" name=\"f\">" ;
     Echo "<input type=\"hidden\" name=\"id_eleve\" value=\"".(-$id_eleve)."\">" ;
     Echo "<input type=\"hidden\" name=\"id_classe\" value=\"".$id_classe."\">" ;
     Echo "<input type=\"hidden\" name=\"periode\" value=\"".$periode."\">" ;
     Echo "<input type=\"hidden\" name=\"code\" value=\"".$_SESSION ["code"]."\">" ;
     Echo "<input type=\"hidden\" name=\"aff_vs\" value=\"".$aff_vie_scolaire."\">" ;
     Echo "<input type=\"hidden\" name=\"type\" value=\"".$type."\">" ;
     Echo "</form>" ;
     Echo "<script> window.focus();function valide(){document.f.submit()} validation=setTimeout(\"valide()\",1000) </script>" ;
     Echo "</BODY></HTML>" ;
    }
   Else
    {
     // ------------------------------------------------------------------------
     //  Construction de l'affichage
     // ------------------------------------------------------------------------
     // Requete gestion
     //$resultat_gestion = SQL_commande ("SELECT * FROM gestion", $id_sql) ;
     //$gestion = SQL_tableau_associatif ($resultat_gestion, "") ;
     
     $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0'", $id_sql) ;
     $couleurs = SQL_tableau_associatif ($resultats, "") ;
    
     $rens_eleve = SQL_commande ("SELECT * FROM eleves WHERE id_eleve='".$id_eleve."' LIMIT 1", $id_sql) ;
     $rs_el = SQL_tableau_associatif ($rens_eleve, "") ;
     
     $id_classe = $rs_el ["classe"] ;
     $rens_classe = SQL_commande ("SELECT c.*,e.nom AS nom_etab,e.nombre_chiffres,e.coefficient,e.aff_nc,e.aff_c,e.bulletin_cpe,c.coefficient_vs,e.moyenne,e.moyenne_periode FROM classes c,etablissements e WHERE c.id_classe='".$id_classe."' AND e.id_etablissement=c.etablissement LIMIT 1", $id_sql) ;
     $rs_cl = SQL_tableau_associatif ($rens_classe, "") ;
     
     $nbr_periode = nombre_periode ($id_classe) ;
     If ($periode > $nbr_periode) { $periode = $nbr_periode ; }
     
     $impression_smat = restaure_configuration ("SYSTEME_PARAM", "impression_sous_matiere", id_etablissement_par_id_classe ($id_classe)) ;
     
     // Requete Autorisations
     $resultat_aut = SQL_commande ("SELECT * FROM autorisations WHERE classe='".$id_classe."' AND millesime='".$millesime."' LIMIT 1", $id_sql) ;
     $autorisations = SQL_tableau_associatif ($resultat_aut, "") ;
     
     $table_disc [0][0] = 0 ;
     $nbr_disc = 0 ;
     $aff_coeff = 0 ;
     // Determine le nombre et le nom des groupements de disciplines
     $groupe_disc = groupement_toutes_disciplines ($id_classe, $millesime) ;
     // Discipline CPE ?
     $tcpe = type_saisie_vie_scolaire ($id_classe) ;
     If (($tcpe == 3) Or ($tcpe == 4)) { $id_cpe = restaure_configuration_defaut ("SYSTEME_PARAM","STRUCTURE_VS","GROUPE_".$id_classe,1) ; }
     For ($i = 1 ; $i <= $groupe_disc [0][0] ; $i++)
      {
       $resultat_disc = structure_pedagogique ($id_classe, $groupe_disc [$i][0], $millesime) ;
       // Nombre de disciplines dans ce groupe
       $groupe_disc [$i][6] = SQL_nbr_lignes ($resultat_disc) ;
       While ($ligne = SQL_tableau_associatif ($resultat_disc, ""))
        {
         $ok_disc = 0 ;
         For ($j = 1 ; $j <= $table_disc [0][0] ; $j++)
          {
           If (($table_disc [$j][0] == $ligne ["id_service_prof"]) And ($table_disc [$j][1] == $ligne ["id_service_classe"])) { $ok_disc = 1 ; }
          }
         If ($ok_disc == 0)
          {
           $table_disc [0][0]++ ;
           $table_disc [$table_disc [0][0]][0] = $ligne ["id_service_prof"] ;
           $table_disc [$table_disc [0][0]][1] = $ligne ["id_service_classe"] ;
	   
           $disc [$nbr_disc] = $ligne ["id_discipline"] ;
           $code_disc [$nbr_disc] = $ligne ["code"] ;
           $sc [$nbr_disc] = $ligne ["id_service_classe"] ;
           $sp [$nbr_disc] = $ligne ["id_service_prof"] ;
	   $optionnelle [$nbr_disc] = estoptionnelle ($ligne ["id_discipline"], $id_classe, $ligne ["id_service_classe"]) ;
           $prof_coeff [$nbr_disc] = $ligne ["coefficient"] ;
	   If ((($autorisations ["a09"] == 1) And ($ligne ["coefficient"] != 1)) Or ($droit_courant == $droit_prof) Or ($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction)) { $aff_coeff++ ; }
           If ($ligne ["professeur"] < 0) { $alias [$nbr_disc] = $ligne ["professeur"] ; $a = alias_enseignant_principal ($ligne ["professeur"]) ; $ok_alias = 1 ; }
           Else { $a = caracteristiques_utilisateur ($ligne ["professeur"]) ; $alias [$nbr_disc] = 0 ; }
           $prof_id [$nbr_disc] = $a [0] ;
           $prof_civ [$nbr_disc] = $a [1] ;
           $prof_nom [$nbr_disc] = $a [2] ;
           $prof_prenom [$nbr_disc] = $a [3] ;
           $type_discipline [$nbr_disc] = $ligne ["type_discipline"] ;
           $type_moyenne [$nbr_disc] = $ligne ["type_moyenne"] ;
           If (($ligne ["sous_discipline"] > 0) Or (($ligne ["sous_discipline"] == 0) And ($ligne ["groupe_classe"] > 0)))
            {
             If ($ligne ["sous_discipline"] > 0)
              {
               $sous_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$ligne ["sous_discipline"]."' LIMIT 1", $id_sql) ;
               $sd = SQL_ligne_suivante ($sous_disc) ;
               $nom_disc [$nbr_disc] = $ligne ["nom_long"]." (".$sd [0].")" ;
               $gp [$nbr_disc] = $ligne ["groupe_classe"] ;
              }
             Else
              {
               $nom_disc [$nbr_disc] = $ligne ["nom_long"] ;
               $gp [$nbr_disc] = $ligne ["groupe_classe"] ;
              }
            }
           Else
            {
             $nom_disc [$nbr_disc] = $ligne ["nom_long"] ;
             $gp [$nbr_disc] = 0 ;
            }
           $nbr_disc++ ;
          }
        }
       // Ajout vie scolaire
       If (IsSet ($id_cpe) And (($id_cpe == $i) Or (($id_cpe == 0) And ($i == 1))) And (($tcpe == 3) Or ($tcpe == 4)))
        {
         /*
         $table ["nombre_disc"][$i]++ ;
         $table ["disc"][$compteur] = "VIE SC" ; // Enregistre le nom de la discipline
         $table ["id_disc"][$compteur] = -1 ; // Enregistre l'id de la discipline
         $table ["id_sc"][$compteur] = -1 ; // Enregistre l'id du service classe
         $table ["id_sp"][$compteur] = -1 ; // Enregistre l'id du service prof
         $table ["id_gc"][$compteur] = -1 ; // Enregistre le numero de groupe (0 si pas de groupe, -1 si vie scolaire)
         $table ["id_ens"][$compteur] = id_cpe_par_id_classe ($id_classe) ; // Enregistre l'id du CPE
         $ne = SQL_commande ("SELECT civilite,nom,prenom FROM utilisateurs WHERE id_utilisateur='".$table ["id_ens"][$compteur]."' LIMIT 1", $id_sql) ;
         If (SQL_nbr_lignes ($ne) == 1)
          {
           $nens = SQL_ligne_suivante ($ne) ;
           $table ["civ_ens"][$compteur] = $nens [0] ;
           $table ["nom_ens"][$compteur] = $nens [1] ;
           $table ["pre_ens"][$compteur] = $nens [2] ;
           $ok_aff_nom = 1 ;
          }
         $table ["coeff_disc"][$compteur] = coefficient_discipline_vie_scolaire ($id_classe) ;
         $table ["id_sous_disc"][$compteur] = 0 ;
         $table ["sous_disc"][$compteur] = "" ;
         $table ["nom_groupe"][$compteur] = "" ;
         $compteur++ ;
         */
         $groupe_disc [$i][6]++ ;
         $nom_disc [$nbr_disc] = "VIE SC" ;
         $disc [$nbr_disc] = -1 ;
         $id_sc [$nbr_disc] = -1 ;
         $id_sp [$nbr_disc] = -1 ;
         $id_sd [$nbr_disc] = 0 ;
         $prof_coeff [$nbr_disc] = coefficient_discipline_vie_scolaire ($id_classe) ;
         $code_disc [$nbr_disc] = "" ;
         If ($ligne ["professeur"] < 0) { $alias [$nbr_disc] = $ligne ["professeur"] ; $a = alias_enseignant_principal ($ligne ["professeur"]) ; $ok_alias = 1 ; }
         Else { $a = caracteristiques_utilisateur ($ligne ["professeur"]) ; $alias [$nbr_disc] = 0 ; }
         $prof_id [$nbr_disc] = id_cpe_par_id_classe ($id_classe) ; // Enregistre l'id du CPE
         $ne = SQL_commande ("SELECT civilite,nom,prenom FROM utilisateurs WHERE id_utilisateur='".$prof_id [$nbr_disc]."' LIMIT 1", $id_sql) ;
         If (SQL_nbr_lignes ($ne) == 1)
          {
           $nens = SQL_ligne_suivante ($ne) ;
           $prof_civ [$nbr_disc] = $nens [0] ;
           $prof_nom [$nbr_disc] = $nens [1] ;
           $prof_prenom [$nbr_disc] = $nens [2] ;
           $ok_aff_nom = 1 ;
          }
         $type_discipline [$nbr_disc] = 0 ;
         $type_moyenne [$nbr_disc] = 0 ;
         $gp [$nbr_disc] = 0 ;
         $nom_sd [$nbr_disc] = "" ;
         For ($j = 1 ; $j <= $periode ; $j++)
          {
           $nbr_notes [$nbr_disc][$j] = 1 ;
          }
         $discipline_active [$nbr_disc] = 1 ;
         $nbr_disc++ ;
        }
      }
     //$nbr_disc = $table_disc [0][0] ;
     
     // Statistiques
     For ($i = 0 ; $i < $nbr_disc ; $i++)
      {
       $stats [$i] = stats_disc ($id_classe, $disc [$i], $periode, $sc [$i], $sp [$i], 0) ;
      }
    
     // Recherche nom prof principal
     $resultat_prof_p = SQL_commande ("SELECT u.nom,u.prenom,u.civilite FROM utilisateurs u,classes c WHERE c.id_classe='".$id_classe."' AND c.id_prof_princ=u.id_utilisateur AND c.numen_prof_princ=u.numen LIMIT 1", $id_sql) ;
     $prof_princ = SQL_tableau_associatif ($resultat_prof_p, "") ;
     
     // Nouveau calcul de moyenne
     // Non coefficientee
     $moy_nc ["eleve"] = 0 ;
     $moy_nc ["min"] = 0 ;
     $moy_nc ["moy"] = 0 ;
     $moy_nc ["max"] = 0 ;
     $moy_nc ["delta"] = 0 ;
     $moy_nc ["delta_min"] = 0 ;
     $moy_nc ["delta_max"] = 0 ;
     $moy_nc ["delta_moy"] = 0 ;
     // Coefficientee
     $moy_c ["eleve"] = 0 ;
     $moy_c ["min"] = 0 ;
     $moy_c ["moy"] = 0 ;
     $moy_c ["max"] = 0 ;
     $moy_c ["delta"] = 0 ;
     $moy_c ["delta_min"] = 0 ;
     $moy_c ["delta_max"] = 0 ;
     $moy_c ["delta_moy"] = 0 ;
    
     $id_el = $rs_el ["id_eleve"] ;
       
     // Entetes
     $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0'", $id_sql) ;
     $l = SQL_tableau_associatif ($resultats, "") ;
     Echo entete_page ("", "") ;
     Echo "<html><head>" ;
     entete_html ("Garennes - Visualisation des bulletins de notes", "", 1) ;
     Echo styles ("none", "none", "none", $theme [0][32], "none") ;
     Include ("./affiche_bulletin.js") ;
     Echo "</head>" ;
     
     // Droit d'afficher le bulletin ?
     If (($droit_courant == $droit_admin) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_secretariat)) { $droit_bulletin = 1 ; }
     Else
      {
       $requete  = "SELECT d.droit FROM droits_menu_classe d,menus_classe m,types_menus_classe t " ;
       $requete .= "WHERE t.type='2' AND t.id_type_menu_classe=m.id_type_menu_classe AND m.menu='4' AND m.id_menu_classe=d.id_menu_classe " ;
       $requete .= "AND (d.droit=1 OR (d.droit=2 AND (d.id_utilisateur=0 OR d.id_utilisateur=".$id_utilisateur.")) OR " ;
       $requete .= "(d.droit=3 AND (d.id_utilisateur=0 OR d.id_utilisateur=".$id_utilisateur."))) AND d.droit!=0" ;
       $dts = SQL_commande ($requete, $id_sql) ;
       If (SQL_nbr_lignes ($dts) > 0) { $droit_bulletin = 1 ; } Else { $droit_bulletin = 0 ; }
      }
     
     Echo "<body " ;
     If ($droit_courant == $droit_prof) { Echo "background=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][10]."\" text=\"".$theme [0][4]."\"" ; }
     Else { Echo "background=\"../images/fond.png\" text=\"#000000\"" ; }
     Echo " onContextMenu=\"return false\">" ;
     $nom_p = nom_periode ($id_classe) ;
     Switch ($periode)
      {
       Case 1  : $nom_periode = "1er ".$nom_p ; Break ;
       Case 2  : $nom_periode = "2e ".$nom_p ; Break ;
       Case 3  : $nom_periode = "3e ".$nom_p ; Break ;
       Default : $nom_periode = $periode."e ".$nom_p ; Break ;
      }
     $nbr_p = nombre_periode ($id_classe) ;
     Switch ($nbr_p)
      {
       Case  2 : $nom_p = "semestrielle" ; Break ;
       Case  3 : $nom_p = "trimestrielle" ; Break ;
       Default : $nom_p = "du ".$nom_p ; Break ;
      }

     Echo "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr>" ;
     
     If ($droit_bulletin == 1)
      {
       $per_act = periode_actuelle ($id_classe) ;
       Echo "<td><a href=\"./bilan_eleve.php?code=".$_SESSION ["code"]."&id_classe=".$id_classe."&periode=".$per_act."&id_eleve=".$id_eleve."\" border=\"0\">" ;
       Echo "<img src=\"../images/graphe.png\" title=\"Bilan graphique" ; If ($droit_courant != $droit_eleve) { Echo " &eacute;l&egrave;ve par &eacute;l&egrave;ve" ; }
       Echo "\" border=\"0\"></a>" ;
       If ($droit_courant != $droit_eleve)
        {
         For ($i = 1 ; $i <= $per_act ; $i++)
          {
	   If ($i != $periode)
	    {
             Echo "<a href=\"./affiche_bulletin.php?code=".$_SESSION ["code"]."&id_classe=".$id_classe."&periode=".$i."&id_eleve=".$id_eleve."\" border=\"0\">" ;
	     Echo "<img src=\"../images/bulletin".$i.".png\" border=\"0\" title=\"Afficher le bulletin scolaire de la p&eacute;riode ".$i."...\"></a>" ;
	    }
          }
        }
       Echo "</td>" ;
      }
     Else
      {
       Echo "<td>&nbsp;</td>" ;
      }
     Echo "<td align=\"center\"><font size=\"+1\"" ;
     If ($droit_courant == $droit_eleve) { Echo "><b>".$rs_cl ["nom_etab"]."</b><br>" ; } Else { Echo " color=\"".$theme [0][38]."\">" ; }
     Echo "Bulletin de notes du ".$nom_periode." ".$millesime."-".($millesime+1)."</font>" ;
     // Test si impression bulletins
     If ($droit_courant != $droit_eleve)
      {
       $id_professeur = $professeur = utilparcode ($_SESSION ["code"]) ;
       $id_prof_princ = professeur_principal ($id_classe) ;
       $requete = "SELECT d.id_droit_menu_classe FROM menus_classe m, droits_menu_classe d WHERE m.menu='-1' AND d.id_menu_classe=m.id_menu_classe AND d.droit!='0' AND (d.droit='1' OR " ;
       $requete .= "(d.droit='".(3-($id_professeur == $id_prof_princ))."' AND (d.id_utilisateur=0 OR d.id_utilisateur='".$id_professeur."'))" ;
       //If ($id_professeur == $id_prof_princ) { $requete .= "(d.droit='2' AND (d.id_utilisateur=0 OR d.id_utilisateur='".$id_professeur."'))" ; }
       //Else { $requete .= "(d.droit='3' AND (d.id_utilisateur=0 OR d.id_utilisateur='".$id_professeur."'))" ; }
       $requete .= ") LIMIT 1" ;
       $ok = SQL_commande ($requete, $id_sql) ;
       If (SQL_nbr_lignes ($ok) == 1)
        {
         // Activation de l'impression des bulletins de classe
         Echo "<br>&nbsp;<A HREF=\"javascript:var ty=2*screen.height/3;var tx=2*screen.width/3;ouvrefenetre('./bulletin.php?titre=-1&id_classe=".$id_classe."&periode=".$periode."&code=".$_SESSION ["code"]."',ty,tx)\" TITLE=\"Bulletins de la p&eacute;riode ".$periode."\">" ;
         Echo "&nbsp;Imprimer&nbsp;les&nbsp;bulletins&nbsp;de&nbsp;la&nbsp;classe&nbsp;</a>" ;
	 // Activation de l'impression des releves de notes
         Echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF=\"javascript:var ty=2*screen.height/3;var tx=2*screen.width/3;ouvrefenetre('./releves_notes.php?titre=-1&id_classe=".$id_classe."&periode=".$periode."&code=".$_SESSION ["code"]."',ty,tx)\" TITLE=\"Relev&eacute;s de notes de la p&eacute;riode ".$periode."\">" ;
         Echo "&nbsp;Imprimer&nbsp;les&nbsp;relev&eacute;s&nbsp;de&nbsp;notes&nbsp;de&nbsp;la&nbsp;classe&nbsp;</a>" ;
        }
      }
     If (($droit_courant == $droit_eleve) Or ($droit_courant == $droit_cpe))
      { Echo "<br><b>Enseignant&nbsp;principal&nbsp;:&nbsp;<i>".$civilites [(integer)$prof_princ ["civilite"]]."&nbsp;".$prof_princ ["nom"]."</i></b>" ; }
     Echo "</td><td>&nbsp;</td></table>" ;
     // Entete
     $nombre_colonnes = 0 ;
     If (($droit_courant == $droit_prof) Or ($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe))
      {
       $non_centrer = 0 ;
       $titre_fenetre = "Bulletin&nbsp;de&nbsp;<B>".Str_Replace (" ", "&nbsp;", $rs_el ["nom"])."&nbsp;" ;
       If (StrPos ($rs_el ["prenoms"], " ")) { $prenom = SubStr ($rs_el ["prenoms"], 0, StrPos ($rs_el ["prenoms"], " ")) ; }
       Else { $prenom = $rs_el ["prenoms"] ; }
       $prenom = StrToUpper (SubStr ($prenom, 0, 1)).StrToLower (SubStr ($prenom, 1, StrLen ($prenom)-1)) ;
       $titre_fenetre .= "<I>".$prenom."</I></B>" ;
       If ($droit_courant != $droit_prof) { Echo "<center>".$titre_fenetre."</center><br>" ; }
       Else { Include ("../include/debut_theme.inc") ; }
      }
     Echo "<TABLE BORDER=\"1\" CELLPADDING=\"0\" CELLSPACING=\"0\" ALIGN=\"CENTER\"" ;
     If ($droit_courant == $droit_prof) { Echo " BGCOLOR=\"".$theme [0][3]."\"" ; } Else { Echo " BGCOLOR=\"".$couleurs ["lien"]."\"" ; }
     Echo " STYLE=\"border:1px solid #000000;border-collapse:collapse\"><TR>" ;
     $a = $autorisations ["a02"]+$autorisations ["a04"]+$autorisations ["a06"] ;
     Echo "<TD" ;
     If (($a > 0) Or ($droit_courant == $droit_prof) Or ($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe)) { Echo " ROWSPAN=\"2\"" ; }
     Echo ">&nbsp;<FONT SIZE=\"".$l ["titre"]."\"><B>Mati&egrave;res</B>&nbsp;<BR>&nbsp;<I>Enseignants</I></FONT></TD>" ;
     $nombre_colonnes++ ;
     // Nombre de colonnes d'appreciations
     $nbr_col = restaure_configuration ("SYSTEME_PARAM", "SAISIE_MULTIPLE_".$id_etablissement, "NBR_COLONNES") ;
     If ($droit_courant == $droit_eleve)
      {
       If (($autorisations ["a09"] == 1) And ($rs_cl ["coefficient"] == 1) And ($aff_coeff > 0))
        {
	 Echo "<TD" ; If ($a > 0) { Echo " ROWSPAN=\"2\"" ; }
         Echo " ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Coeff.</FONT>&nbsp;</TD>" ;
	 $nombre_colonnes++ ;
	}
       If ($autorisations ["a01"] == 1)
        {
	 Echo "<TD" ; If ($a > 0) { Echo " ROWSPAN=\"2\"" ; }
         Echo " ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Moyenne&nbsp;<BR>&eacute;l&egrave;ve</FONT>&nbsp;</TD>" ;
	 $nombre_colonnes++ ;
	}
       If (($autorisations ["a02"] == 1) Or ($autorisations ["a04"] == 1) Or ($autorisations ["a06"] == 1))
        {
	 Echo "<TD ALIGN=\"CENTER\" COLSPAN=\"".($autorisations ["a02"]+$autorisations ["a04"]+$autorisations ["a06"])."\">" ;
	 Echo "&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Moyenne&nbsp;classe</FONT>&nbsp;</TD>" ;
	 $nombre_colonnes += $autorisations ["a02"]+$autorisations ["a04"]+$autorisations ["a06"] ;
	}
       If ($autorisations ["a07"] == 1)
        {
	 Echo "<TD" ; If ($a > 0) { If ($nbr_col <= 1) { Echo " rowspan=\"2\"" ; $nbr_col = 1 ; } Else { Echo " colspan=\"".$nbr_col."\"" ; } }
         Echo " ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Appr&eacute;ciations&nbsp;des&nbsp;enseignants</FONT>&nbsp;</TD>" ;
	 $nombre_colonnes += $nbr_col ;
	}
      }
     Else
      {
       If ($rs_cl ["coefficient"] == 1) { Echo "<TD ROWSPAN=\"2\" ALIGN=\"CENTER\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Coeff.&nbsp;</FONT></TD>" ; }
       Echo "<TD ROWSPAN=\"2\" ALIGN=\"CENTER\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Moyenne&nbsp;<BR>&eacute;l&egrave;ve&nbsp;</FONT></TD>" ;
       Echo "<TD ALIGN=\"CENTER\" COLSPAN=\"3\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Moyenne&nbsp;classe&nbsp;</FONT></TD>" ;
       Echo "<td" ; If ($nbr_col <= 1) { Echo " rowspan=\"2\"" ; $nbr_col = 1 ; } Else { Echo " colspan=\"".$nbr_col."\"" ; }
       Echo " align=\"center\"><font size=\"".$l ["titre"]."\">&nbsp;Appr&eacute;ciations&nbsp;des&nbsp;enseignants&nbsp;</font></td>" ;
       $nombre_colonnes += ($rs_cl ["coefficient"] == 1)+4+$nbr_col ;
      }
     Echo "</TR>" ;
     If ($droit_courant == $droit_eleve)
      {
       If (($autorisations ["a04"] == 1) Or ($autorisations ["a02"] == 1) Or ($autorisations ["a06"] == 1))
        {
	 Echo "<TR>" ;
         If ($autorisations ["a04"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Min.</FONT>&nbsp;</TD>" ; }
         If ($autorisations ["a02"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Moy.</FONT>&nbsp;</TD>" ; }
         If ($autorisations ["a06"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Max.</FONT>&nbsp;</TD>" ; }
         If ($autorisations ["a07"] == 1)
          {
           If ($nbr_col > 1)
            {
             For ($i = 1 ; $i <= $nbr_col ; $i++)
              {
               $nom = restaure_configuration ("SYSTEME_PARAM", "SAISIE_MULTIPLE_".$id_etablissement, "NOM_COLONNE_".$i) ;
               Echo "<td align=\"center\">&nbsp;<font size=\"".$l ["titre"]."\">".$nom."</font>&nbsp;</td>" ;
              }
            }
          }
	 Echo "</TR>" ;
	}
      }
     Else
      {
       Echo "<TR>" ;
       Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Min.</FONT>&nbsp;</TD>" ;
       Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Moy.</FONT>&nbsp;</TD>" ;
       Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">Max.</FONT>&nbsp;</TD>" ;
       If ($nbr_col > 1)
        {
         For ($i = 1 ; $i <= $nbr_col ; $i++)
          {
           $nom = restaure_configuration ("SYSTEME_PARAM", "SAISIE_MULTIPLE_".$id_etablissement, "NOM_COLONNE_".$i) ;
           Echo "<td align=\"center\">&nbsp;<font size=\"".$l ["titre"]."\">".$nom."</font>&nbsp;</td>" ;
          }
        }
       Echo "</TR>" ;
      }
     
     // Boucle disciplines
     $j = 0 ;
     $ok = 0 ;
     $nbr_disc_aff = 0 ;
     $mini = $maxi = $moyenne = "" ;
     
     $mini_nc = "-" ;
     $maxi_nc = "-" ;
     $somme_moy_nc = 0 ;
     $nombre_moy_nc = 0 ;
     $somme_moy_cl_nc = 0 ;
     $nombre_moy_cl_nc = 0 ;
     
     $mini_c = $maxi_min ;
     $maxi_c = $mini_max ;
     $somme_moy_c = 0 ;
     $nombre_moy_c = 0 ;
     $somme_moy_cl_c = 0 ;
     $nombre_moy_cl_c = 0 ;
     
     $somme_min_cl_c = 0 ;
     $nombre_min_cl_c = 0 ;
     $somme_max_cl_c = 0 ;
     $nombre_max_cl_c = 0 ;
     
     $numero_discipline = 0 ;
     For ($k = 1 ; $k <= $groupe_disc [0][0] ; $k++)
      {
       // Affichage du nom et coefficient du groupement
       If ($groupe_disc [$k][1] != "")
        {
         Echo "<tr bgcolor=\"".$theme [0][29]."\"><td colspan=\"".$nombre_colonnes."\">&nbsp;<font color=\"".$theme [0][35]."\"><b>".$groupe_disc [$k][1]." - Coefficient : ".Str_Replace (".",",",$groupe_disc [$k][4])."</font></b>&nbsp;</td></tr>" ;
	}
       $groupe_disc [$k][7] = $groupe_disc [$k][8] = $groupe_disc [$k][9] = $groupe_disc [$k][10] = 0 ; // NC
       $groupe_disc [$k][11] = "-" ;
       $groupe_disc [$k][12] = "-" ;
       $groupe_disc [$k][13] = $groupe_disc [$k][14] = $groupe_disc [$k][15] = $groupe_disc [$k][16] = $groupe_disc [$k][17] = $groupe_disc [$k][18] = $groupe_disc [$k][19] = $groupe_disc [$k][20] = 0 ; // NC
       For ($kk= 1 ; $kk <= $groupe_disc [$k][6] ; $kk++)
        {
	 If ($disc [$numero_discipline] > 0) { $mat_ok = test_matiere ($disc [$numero_discipline], $id_classe, $sc [$numero_discipline], $gp [$numero_discipline], $id_eleve) ; }
	 Else { $mat_ok = 1 ; }
         If ($mat_ok == 1)
          {
           $nbr_disc_aff = $nbr_disc_aff + 1 ;
    
           // Moyenne de la classe : Minimum, moyenne et maximum
           $min = $max = $moy = "" ;
           If (Is_Numeric ($stats [$numero_discipline]["min"]) And ($stats [$numero_discipline]["min"] != $code_aucune_note) And ($stats [$numero_discipline]["min"] != $code_pas_discipline)
               And ($stats [$numero_discipline]["min"] != $code_dispense))
            {
             $min = Str_Replace (".", ",", arrondi_note ($stats [$numero_discipline]["min"], $rs_cl ["nombre_chiffres"])) ;
             If ($mini == "") { $mini = $stats [$numero_discipline]["min"] ; } ElseIf ($stats [$numero_discipline]["min"] < $mini) { $mini = $stats [$numero_discipline]["min"] ; }
             $ok = 1 ;
	     If ($type_moyenne [$numero_discipline] != 1)
	      {
               $moy_nc ["min"] += $stats [$numero_discipline]["min"] ;
               $moy_nc ["delta_min"] += 1 ;
               $moy_c ["min"] += $prof_coeff [$numero_discipline]*$stats [$numero_discipline]["min"] ;
               $moy_c ["delta_min"] += $prof_coeff [$numero_discipline] ;
	      }
            }
           If (Is_Numeric ($stats [$numero_discipline]["moy"]) And ($stats [$numero_discipline]["moy"] != $code_aucune_note) And ($stats [$numero_discipline]["moy"] != $code_pas_discipline)
               And ($stats [$numero_discipline]["moy"] != $code_dispense))
            {
             $moy = Str_Replace (".", ",", arrondi_note ($stats [$numero_discipline]["moy"], $rs_cl ["nombre_chiffres"])) ;
             $ok = 1 ;
	     If ($type_moyenne [$numero_discipline] != 1)
	      {
               $moy_nc ["moy"] += $stats [$numero_discipline]["moy"] ;
               $moy_nc ["delta_moy"] += 1 ;
               $moy_c ["moy"] += $prof_coeff [$numero_discipline]*$stats [$numero_discipline]["moy"] ;
               $moy_c ["delta_moy"] += $prof_coeff [$numero_discipline] ;
	      }
            }
           If (Is_Numeric ($stats [$numero_discipline]["max"]) And ($stats [$numero_discipline]["max"] != $code_aucune_note) And ($stats [$numero_discipline]["max"] != $code_pas_discipline)
               And ($stats [$numero_discipline]["max"] != $code_dispense))
            {
             $max = Str_Replace (".", ",", arrondi_note ($stats [$numero_discipline]["max"], $rs_cl ["nombre_chiffres"])) ;
             If ($maxi == "") { $maxi = $stats [$numero_discipline]["max"] ; } ElseIf ($stats [$numero_discipline]["max"] > $maxi) { $maxi = $stats [$numero_discipline]["max"] ; }
             $ok = 1 ;
	     If ($type_moyenne [$numero_discipline] != 1)
	      {
               $moy_nc ["max"] += $stats [$numero_discipline]["max"] ;
               $moy_nc ["delta_max"] += 1 ;
               $moy_c ["max"] += $prof_coeff [$numero_discipline]*$stats [$numero_discipline]["max"] ;
               $moy_c ["delta_max"] += $prof_coeff [$numero_discipline] ;
	      }
            }
             
           // Moyenne eleve
	   If ($disc [$numero_discipline] > 0)
	    {
	     $m = moyenne_el ($id_eleve, $id_classe, $periode, $disc [$numero_discipline], $sc [$numero_discipline], $sp [$numero_discipline], 1, NOTE_MOY_ELEVE_DISC) ;
	    }
	   Else
	    {
             $res = SQL_commande ("SELECT note FROM vie_scolaire WHERE eleve='".$id_eleve."' AND periode='".$periode."' LIMIT 1", $id_sql) ;
             If (SQL_nbr_lignes ($res) == 1) { $r = SQL_ligne_suivante ($res) ; } Else { $r [0] = $code_aucune_note ; }
             If ($r [0] == "") { $r [0] = $code_aucune_note ; }
	     $m = $r [0] ;
	    }
           If (Is_Numeric ($m) And ($m != $code_aucune_note) And ($m != $code_pas_discipline) And ($m != $code_dispense)  And ($m != $code_absent))
            {
	     If (($disc [$numero_discipline] > 0) Or (($disc [$numero_discipline] == -1) And ($aff_vie_scolaire == 1)))
	      {
               If ($type_moyenne [$numero_discipline] != 1)
	        {
		 If ($optionnelle [$numero_discipline] == 0)
	          {
                   //$me = moyenne_el ($id_eleve, $id_classe, $periode, $disc [$numero_discipline], $sc [$numero_discipline], $sp [$numero_discipline], 1, NOTE_MOY_ELEVE_DISC) ;
                   $moy_nc ["eleve"] += $m ;
                   $moy_nc ["delta"] += 1 ;
                   $moy_c ["eleve"] += $prof_coeff [$numero_discipline]*$m ;
                   $moy_c ["delta"] += $prof_coeff [$numero_discipline] ;
	           
	           // Non coefficientee
	           // Moy eleve
	           $groupe_disc [$k][7] += $m ;
	           $groupe_disc [$k][8] += 1 ;
	           // Moy classe
	           $groupe_disc [$k][9] += $m ;
                   $groupe_disc [$k][10] += 1 ;
	           // Mini classe
	           If ($groupe_disc [$k][11] == "-") { $groupe_disc [$k][11] = $m ; }
	           ElseIf ($stat_eleve [0][$numero_discipline+1][0] < $groupe_disc [$k][11]) { $groupe_disc [$k][11] = $m ; }
	           // Maxi classe
	           If ($groupe_disc [$k][12] == "-") { $groupe_disc [$k][12] = $m ; }
	           ElseIf ($stat_eleve [0][$numero_discipline+1][1] > $groupe_disc [$k][12]) { $groupe_disc [$k][12] = $m ; }
                   
	           // Coefficientee
	           // Moy eleve
                   $groupe_disc [$k][13] += $prof_coeff [$numero_discipline]*$m ;
                   $groupe_disc [$k][14] += $prof_coeff [$numero_discipline] ;
	           // Moy classe
                   $groupe_disc [$k][15] += $prof_coeff [$numero_discipline]*$m ;
                   $groupe_disc [$k][16] += $prof_coeff [$numero_discipline] ;
	           // Mini Coefficiente
                   $groupe_disc [$k][17] += $prof_coeff [$numero_discipline]*$m ;
                   $groupe_disc [$k][18] += $prof_coeff [$numero_discipline] ;
	           // Maxi Coefficiente
                   $groupe_disc [$k][19] += $prof_coeff [$numero_discipline]*$m ;
                   $groupe_disc [$k][20] += $prof_coeff [$numero_discipline] ;
		  }
	        }
	       $m = Str_Replace (".", ",", arrondi_note ($m, $rs_cl ["nombre_chiffres"])) ;
               $ok = 1 ;
	      }
            }
           Else { If ($m != $code_dispense) { $m = "" ; } Else { $m = "-" ; } }
           If ($type_moyenne [$numero_discipline] == 1) { $m .= "%" ; $min .= "%" ; $moy .= "%" ; $max .= "%" ; }
           // Appreciation si autorisation
           If ($nbr_col > 1)
            {
             For ($nc = 1 ; $nc <= $nbr_col ; $nc++)
              {
               $appr [$nc] = appreciation ($id_eleve, $prof_id [$numero_discipline], $disc [$numero_discipline], $sp [$numero_discipline], $periode, $nc) ;
               If (!$appr [$nc]) { $appr [$nc] = "&nbsp;" ; }
               $appr [$nc] = Str_Replace ("&amp;", "&", $appr [$nc]) ;
               $appr [$nc] = Str_Replace ("&quot;", "\"", $appr [$nc]) ;
               $appr [$nc] = Str_Replace ("&nbsp;", " ", $appr [$nc]) ;
               If (SubStr ($appr [$nc], 0, 1) == ",") { $appr [$nc] = SubStr ($appr [$nc], 1, StrLen ($appr [$nc])) ; }
              }
            }
           Else
            {
             $appr [1] = appreciation ($id_eleve, $prof_id [$numero_discipline], $disc [$numero_discipline], $sp [$numero_discipline], $periode, 0) ;
             If (!$appr [1]) { $appr [1] = "&nbsp;" ; }
             $appr [1] = Str_Replace ("&amp;", "&", $appr [1]) ;
             $appr [1] = Str_Replace ("&quot;", "\"", $appr [1]) ;
             $appr [1] = Str_Replace ("&nbsp;", " ", $appr [1]) ;
             If (SubStr ($appr [1], 0, 1) == ",") { $appr [1] = SubStr ($appr [1], 1, StrLen ($appr [1])) ; }
            } 
        
	   Echo "<tr" ;
	   If ($droit_courant != $droit_prof) { Echo " bgcolor=\"".$couleurs ["couleur_fond"]."\"" ; }
	   Else
	    {
             If ($j % $theme [10][0] == 0) { Echo " bgcolor=\"".$theme [10][$theme [10][0]]."\"" ; } Else { Echo " bgcolor=\"".$theme [10][$theme [10][0]-1]."\"" ; }
            }
	   Echo ">" ;
	   If ($disc [$numero_discipline] == -1)
	    {
	     Echo "<script>function ad(){if(document.fad.aff_vs.value==1){document.fad.aff_vs.value=0;}else{document.fad.aff_vs.value=1;}document.fad.submit();}</script>" ;
	     Echo "<form action=\"./affiche_bulletin.php\" method=\"post\" name=\"fad\">" ;
	     Echo "<input type=\"hidden\" name=\"id_eleve\" value=\"".$id_eleve."\">" ;
	     Echo "<input type=\"hidden\" name=\"id_classe\" value=\"".$id_classe."\">" ;
	     Echo "<input type=\"hidden\" name=\"periode\" value=\"".$periode."\">" ;
	     Echo "<input type=\"hidden\" name=\"code\" value=\"".$code."\">" ;
	     Echo "<input type=\"hidden\" name=\"aep\" value=\"".$aep."\">" ;
	     Echo "<input type=\"hidden\" name=\"aff_vs\" value=\"".$aff_vie_scolaire."\">" ;
             Echo "<td>&nbsp;<input type=\"checkbox\" name=\"aff\" value=\"1\" onclick=\"javascript:ad();\"" ; If ($aff_vie_scolaire == 1) { Echo " checked" ; }
	     Echo " title=\"Prendre en compte (si coch&eacute;), ou pas (si non coch&eacute;) la note de vie scolaire...\"></form>" ;
	    }
	   Else { Echo "<td>" ; }
	   Echo "&nbsp;<font size=\"-1\"><B>".Str_Replace (" ", "&nbsp;", $nom_disc [$numero_discipline])."</b></font>&nbsp;<br>" ;
           Echo "&nbsp;<font size=\"".($l ["titre"]-2)."\"><i>".$civilites [(integer)$prof_civ [$numero_discipline]]." ".$prof_nom [$numero_discipline]."</i></font></td>" ;
	   If ($droit_courant == $droit_eleve)
            {
             If (($autorisations ["a09"] == 1) And ($rs_cl ["coefficient"] == 1) And ($aff_coeff > 0))
              { Echo "<td align=\"center\">&nbsp;<font size=\"".$l ["titre"]."\">".Str_Replace (".", ",", $prof_coeff [$numero_discipline])."</font>&nbsp;</td>" ; }
             If ($autorisations ["a01"] == 1) { Echo "<td align=\"center\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\"><B>".$m."</B></FONT>&nbsp;</TD>" ; }
             If ($autorisations ["a04"] == 1) { Echo "<td align=\"center\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".$min."</FONT>&nbsp;</TD>" ; }
             If ($autorisations ["a02"] == 1) { Echo "<td align=\"center\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".$moy."</FONT>&nbsp;</TD>" ; }
             If ($autorisations ["a06"] == 1) { Echo "<td align=\"center\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".$max."</FONT>&nbsp;</TD>" ; }
             If ($autorisations ["a07"] == 1)
              {
               If ($nbr_col > 1)
                {
                 For ($nc = 1 ; $nc <= $nbr_col ; $nc++)
                  {
                   Echo "<TD><FONT SIZE=\"".($l ["titre"]-1)."\">".$appr [$nc]."</FONT></TD>" ;
                  }
                }
               Else { Echo "<TD><FONT SIZE=\"".($l ["titre"]-1)."\">".$appr [1]."</FONT></TD>" ; }
              }
            }
           Else
	    {
	     If ($rs_cl ["coefficient"] == 1) { Echo "<td align=\"center\">&nbsp;<font size=\"".$l ["titre"]."\">".Str_Replace (".", ",", $prof_coeff [$numero_discipline])."</font>&nbsp;</td>" ; }
             Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\"><B>".$m."</B></FONT>&nbsp;</TD>" ;
             Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".$min."</FONT>&nbsp;</TD>" ;
             Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".$moy."</FONT>&nbsp;</TD>" ;
             Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".$max."</FONT>&nbsp;</TD>" ;
             If ($nbr_col > 1)
              {
               For ($nc = 1 ; $nc <= $nbr_col ; $nc++)
                {
                 Echo "<TD><FONT SIZE=\"".($l ["titre"]-1)."\">".$appr [$nc]."</FONT></TD>" ;
                }
              }
             Else { Echo "<TD><FONT SIZE=\"".($l ["titre"]-1)."\">".$appr [1]."</FONT></TD>" ; }
	    }
           Echo "</TR>" ;
           $j++ ;
          }
	 $numero_discipline++ ;
	}
       // Affichage moyenne groupement
       If ($groupe_disc [1][0] != -1)
        {
         If ($groupe_disc [$k][8] > 0) { $moy_groupe_nc = $groupe_disc [$k][7]/$groupe_disc [$k][8] ; } Else { $moy_groupe_nc = "" ; }
         If ($groupe_disc [$k][14] > 0) { $moy_groupe_c = $groupe_disc [$k][13]/$groupe_disc [$k][14] ; } Else { $moy_groupe_c = "" ; }
         Echo "<tr><td colspan=\"2\">Moyenne non coefficient&eacute;e :</td>" ;
         Echo "<td align=\"center\"><b>".Str_Replace (".", ",", arrondi_note ($moy_groupe_nc, $rs_cl ["nombre_chiffres"]))."</b></td><td colspan=\"".($nombre_colonnes-3)."\" rowspan=\"2\"></td></tr>" ;
         If (($autorisations ["a09"] == 1) And ($rs_cl ["coefficient"] == 1) And ($aff_coeff > 0))
          {
           Echo "<tr><td colspan=\"2\">Moyenne coefficient&eacute;e :</td>" ;
           Echo "<td align=\"center\"><b>".Str_Replace (".", ",", arrondi_note ($moy_groupe_c, $rs_cl ["nombre_chiffres"]))."</b></td></tr>" ;
          }
	}
      }
     
     // Discipline supplementaire : CPE
     /*
     If (($rs_cl ["bulletin_cpe"] == 3) Or ($rs_cl ["bulletin_cpe"] == 4))
      {
       If (($droit_courant == $droit_prof) Or ($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($autorisations ["a08"] == 1))
        {
         $res = SQL_commande ("SELECT v.note FROM vie_scolaire v,eleves e,classes c WHERE c.id_classe='".$id_classe."' AND e.classe=c.id_classe AND v.eleve=e.id_eleve AND v.periode=".$periode, $id_sql) ;
         $moy_cpe = $nbr_moy = $ok = 0 ;
         $nbr_cpe = SQL_nbr_lignes ($res) ;
         For ($i = 1 ; $i <= SQL_nbr_lignes ($res) ; $i++)
          {
           $r = SQL_ligne_suivante ($res) ;
           If (!Is_Numeric ($r [0])) { $r [0] = "-" ; }
	   Else
	    {
	     $nbr_moy++ ;
             $moy_cpe += $r [0] ;
             If ($ok == 1) { $min_cpe = $max_cpe = $r [0] ; $ok = 1 ; }
             Else
              {
               If ($r [0] < $min_cpe) { $min_cpe = $r [0] ; }
               If ($r [0] > $max_cpe) { $max_cpe = $r [0] ; }
	      }
            }
          }
	 // Moyenne
	 If ($nbr_moy > 0)
	  {
	   $moy_cpe = $moy_cpe/$nbr_moy ;
           If ($min_cpe < $mini) { $mini = $min_cpe ; }
           If ($max_cpe > $maxi) { $maxi = $max_cpe ; }
	   If ($aff_vie_scolaire == 1)
	    {
             $moy_nc ["min"] += $min_cpe ;
             $moy_nc ["delta_min"] += 1 ;
             $moy_c ["min"] += $rs_cl ["coefficient_vs"]*$min_cpe ;
             $moy_c ["delta_min"] += $rs_cl ["coefficient_vs"] ;
             $moy_nc ["moy"] += $moy_cpe ;
             $moy_nc ["delta_moy"] += 1 ;
             $moy_c ["moy"] += $rs_cl ["coefficient_vs"]*$moy_cpe ;
             $moy_c ["delta_moy"] += $rs_cl ["coefficient_vs"] ;
             $moy_nc ["max"] += $max_cpe ;
             $moy_nc ["delta_max"] += 1 ;
             $moy_c ["max"] += $rs_cl ["coefficient_vs"]*$max_cpe ;
             $moy_c ["delta_max"] += $rs_cl ["coefficient_vs"] ;
	    }
	  }
	 Else
	  {
	   $moy_cpe = "-" ;
	   $moy_nc ["min"] = "-" ;
           $moy_nc ["delta_min"] = "-" ;
           $moy_c ["min"] = "-" ;
           $moy_c ["delta_min"] = "-" ;
           $moy_nc ["moy"] = "-" ;
           $moy_nc ["delta_moy"] = "-" ;
           $moy_c ["moy"] = "-" ;
           $moy_c ["delta_moy"] = "-" ;
           $moy_nc ["max"] = "-" ;
           $moy_nc ["delta_max"] = "-" ;
           $moy_c ["max"] = "-" ;
           $moy_c ["delta_max"] = "-" ;
	  }
         
         $resultat_cpe = SQL_commande ("SELECT * FROM vie_scolaire WHERE eleve='".$id_eleve."' AND periode='".$periode."' LIMIT 1", $id_sql) ;
         If (SQL_nbr_lignes ($resultat_cpe) == 1)
          {
           $cpe = SQL_tableau_associatif ($resultat_cpe, "") ;
	   If (Is_Numeric ($cpe ["note"]))
	    {
	     If ($aff_vie_scolaire == 1)
	      {
               $moy_nc ["eleve"] += $cpe ["note"] ;
               $moy_nc ["delta"] += 1 ;
               $moy_c ["eleve"] += $rs_cl ["coefficient_vs"]*$cpe ["note"] ;
               $moy_c ["delta"] += $rs_cl ["coefficient_vs"] ;
	      }
             If ($cpe ["cpe"])
              {
               $nom_cpe = SQL_commande ("SELECT nom,civilite FROM utilisateurs WHERE id_utilisateur='".$cpe ["cpe"]."' LIMIT 1", $id_sql) ;
               $ncpe = SQL_ligne_suivante ($nom_cpe) ;
              }
             Else
              {
               $nom_cpe = SQL_commande ("SELECT u.nom,u.civilite FROM utilisateurs u, classes c WHERE c.id_classe='".$id_classe."' AND u.id_utilisateur=c.cpe LIMIT 1", $id_sql) ;
               $ncpe = SQL_ligne_suivante ($nom_cpe) ;
              }
             Echo "<TR" ;
	     If ($droit_courant == $droit_eleve) { Echo " BGCOLOR=\"".$couleurs ["couleur_fond"]."\"" ; }
	     Else
	      {
               If ($j % $theme [10][0] == 0) { Echo " BGCOLOR=\"".$theme [10][$theme [10][0]]."\"" ; } Else { Echo " BGCOLOR=\"".$theme [10][$theme [10][0]-1]."\"" ; }
              }
	     Echo ">" ;
	     Echo "<script>function ad(){if(document.fad.aff_vs.value==1){document.fad.aff_vs.value=0;}else{document.fad.aff_vs.value=1;}document.fad.submit();}</script>" ;
	     Echo "<form action=\"./affiche_bulletin.php\" method=\"post\" name=\"fad\">" ;
	     Echo "<input type=\"hidden\" name=\"id_eleve\" value=\"".$id_eleve."\">" ;
	     Echo "<input type=\"hidden\" name=\"id_classe\" value=\"".$id_classe."\">" ;
	     Echo "<input type=\"hidden\" name=\"periode\" value=\"".$periode."\">" ;
	     Echo "<input type=\"hidden\" name=\"code\" value=\"".$code."\">" ;
	     Echo "<input type=\"hidden\" name=\"aep\" value=\"".$aep."\">" ;
	     Echo "<input type=\"hidden\" name=\"aff_vs\" value=\"".$aff_vie_scolaire."\">" ;
             Echo "<TD>&nbsp;<input type=\"checkbox\" name=\"aff\" value=\"1\" onclick=\"javascript:ad();\"" ; If ($aff_vie_scolaire == 1) { Echo " checked" ; }
	     Echo " title=\"Prendre en compte (si coch&eacute;), ou pas (si non coch&eacute;) la note de vie scolaire...\"><FONT SIZE=\"-1\"><B>VIE&nbsp;SCOLAIRE</B></FONT>&nbsp;<BR>" ;
             Echo "&nbsp;<FONT SIZE=\"".($l ["titre"]-2)."\"><I>".$civilites [(integer)$ncpe [1]]." ".$ncpe [0]."</I></FONT></TD>" ;
	     Echo "</form>" ;
	     If ($droit_courant == $droit_eleve)
              {
               If (($autorisations ["a09"] == 1) And ($rs_cl ["coefficient"] == 1) And ($aff_coeff > 0) And ($rs_cl ["coefficient"] == 1))
                { Echo "<TD ALIGN=CENTER>&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".Str_Replace (".", ",", $rs_cl ["coefficient_vs"])."</FONT>&nbsp;</TD>" ; }
               If ($autorisations ["a01"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\"><B>".Str_Replace (".", ",", Round ($cpe ["note"], 2))."</B></FONT>&nbsp;</TD>" ; }
               If ($autorisations ["a04"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".Str_Replace (".", ",", Round ($min_cpe, 2))."</FONT>&nbsp;</TD>" ; }
               If ($autorisations ["a02"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".Str_Replace (".", ",", Round ($moy_cpe, 2))."</FONT>&nbsp;</TD>" ; }
               If ($autorisations ["a06"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".Str_Replace (".", ",", Round ($max_cpe, 2))."</FONT>&nbsp;</TD>" ; }
               If ($autorisations ["a07"] == 1) { Echo "<TD><FONT SIZE=\"".($l ["titre"]-1)."\">".$cpe ["commentaire"]."</FONT></TD>" ; }
              }
             Else
	      {
	       If ($rs_cl ["coefficient"] == 1) { Echo "<TD ALIGN=CENTER>&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".Str_Replace (".", ",", $rs_cl ["coefficient_vs"])."</FONT>&nbsp;</TD>" ; }
               Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\"><B>".Str_Replace (".", ",", Round ($cpe ["note"], 2))."</B></FONT>&nbsp;</TD>" ;
               Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".Str_Replace (".", ",", Round ($min_cpe, 2))."</FONT>&nbsp;</TD>" ;
               Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".Str_Replace (".", ",", Round ($moy_cpe, 2))."</FONT>&nbsp;</TD>" ;
               Echo "<TD ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"".$l ["titre"]."\">".Str_Replace (".", ",", Round ($max_cpe, 2))."</FONT>&nbsp;</TD>" ;
               Echo "<TD><FONT SIZE=\"".($l ["titre"]-1)."\">".$cpe ["commentaire"]."</FONT></TD>" ;
	      }
             Echo "</TR>" ;
             $j++ ;
	    }
          }
        }
      }
     */
     // Affichage des moyennes coeff et non coeff
     If (($groupe_disc [0][0] == 1) And ($groupe_disc [1][0] == -1)) { $moy_periode = 0 ; } Else { $moy_periode = $rs_cl ["moyenne_periode"] ; }
     If ($moy_nc ["delta"] > 0)
      {
       If ($moy_nc ["delta_min"] > 0) { $m1_nc = Str_Replace (".", ",", Round (($moy_nc ["min"]/$moy_nc ["delta_min"]), $rs_cl ["nombre_chiffres"])) ; }
       Else { $m1_nc = "" ; }
       If ($moy_nc ["delta_moy"] > 0) { $m2_nc = Str_Replace (".", ",", Round (($moy_nc ["moy"]/$moy_nc ["delta_moy"]), $rs_cl ["nombre_chiffres"])) ; }
       Else { $m2_nc = "" ; }
       If ($moy_nc ["delta_max"] > 0) { $m3_nc = Str_Replace (".", ",", Round (($moy_nc ["max"]/$moy_nc ["delta_max"]), $rs_cl ["nombre_chiffres"])) ; }
       Else { $m3_nc = "" ; }
      }
     Else { $m1_nc = $m2_nc = $m3_nc = "" ; }
     If ($moy_c ["delta"] > 0)
      {
       If ($moy_c ["delta_min"] > 0) { $m1_c = Str_Replace (".", ",", Round (($moy_c ["min"]/$moy_c ["delta_min"]), $rs_cl ["nombre_chiffres"])) ; }
       Else { $m1_c = "" ; }
       If ($moy_c ["delta_moy"] > 0) { $m2_c = Str_Replace (".", ",", Round (($moy_c ["moy"]/$moy_c ["delta_moy"]), $rs_cl ["nombre_chiffres"])) ; }
       Else { $m2_c = "" ; }
       If ($moy_c ["delta_max"] > 0) { $m3_c = Str_Replace (".", ",", Round (($moy_c ["max"]/$moy_c ["delta_max"]), $rs_cl ["nombre_chiffres"])) ; }
       Else { $m3_c = "" ; }
      }
     Else { $m1_c = $m2_c = $m3_c = "" ; }
     If ($moy_periode == 0)
      {
       // Type de moyenne : Moyenne des moyennes periodiques
       If ($moy_nc ["delta"] > 0) { $m4_nc = Str_Replace (".", ",", Round (($moy_nc ["eleve"]/$moy_nc ["delta"]), $rs_cl ["nombre_chiffres"])) ; }
       Else { $m4_nc = "" ; }
       If ($moy_c ["delta"] > 0) { $m4_c = Str_Replace (".", ",", Round (($moy_c ["eleve"]/$moy_c ["delta"]), $rs_cl ["nombre_chiffres"])) ; }
       Else { $m4_c = "" ; }
      }
     Else
      {
       // Type de moyenne : Moyenne des moyennes des groupes de disciplines
       $moy_nc = $moy_c = $moy_c_coeff = 0 ;
       For ($k = 1 ; $k <= $groupe_disc [0][0] ; $k++)
        {
         If ($groupe_disc [$k][8] > 0) { $moy_nc += $groupe_disc [$k][7]/$groupe_disc [$k][8] ; }
         If ($groupe_disc [$k][14] > 0) { $moy_c += ($groupe_disc [$k][13]/$groupe_disc [$k][14])*$groupe_disc [$k][4] ; $moy_c_coeff += $groupe_disc [$k][4] ; }
	}
       $m4_nc = Str_Replace (".", ",", Round (($moy_nc/$groupe_disc [0][0]), $rs_cl ["nombre_chiffres"])) ;
       $m4_c = Str_Replace (".", ",", Round (($moy_c/$moy_c_coeff), $rs_cl ["nombre_chiffres"])) ;
      }
     
     // Affichage moyenne periodique eleve
     If (($droit_courant == $droit_prof) Or ($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe) Or ($autorisations ["a10"] == 1))
      {
       Echo "<tr bgcolor=\"".$theme [0][29]."\"><td colspan=\"".$nombre_colonnes."\">&nbsp;<font color=\"".$theme [0][35]."\"><b>Moyennes</font></b>&nbsp;</td></tr>" ;
       Echo "<tr><td" ;
       If ($droit_courant == $droit_eleve)
        {
         If (($autorisations ["a09"] == 1) And ($rs_cl ["coefficient"] == 1) And ($aff_coeff > 0) And ($rs_cl ["coefficient"] == 1)) { Echo " colspan=\"2\"" ; }
        }
       ElseIf ($rs_cl ["coefficient"] == 1) { Echo " colspan=\"2\"" ; }
       Echo ">&nbsp;Moyenne&nbsp;".$nom_p."&nbsp;non&nbsp;coefficient&eacute;e&nbsp;</td>" ;
       Echo "<td align=\"center\">&nbsp;<b>".$m4_nc."</b>&nbsp;</td>" ;
       Echo "<td rowspan=\"".(1+(($autorisations ["a09"] == 1) And ($rs_cl ["coefficient"] == 1) And ($aff_coeff > 0) And ($rs_cl ["coefficient"] == 1)))."\" colspan=\"".($nombre_colonnes-3)." style=\"border:0px\">&nbsp;</td>" ;
       /*
       If ($rs_cl ["aff_nc"] == 1)
        {
	 If ($droit_courant == $droit_eleve)
          {
           If ($autorisations ["a03"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;".Str_Replace (".", ",", Round ($mini, $rs_cl ["nombre_chiffres"]))."&nbsp;</TD>" ; }
           If ($autorisations ["a02"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;".$m2_nc."&nbsp;</TD>" ; }
           If ($autorisations ["a06"] == 1) { Echo "<TD ALIGN=\"CENTER\">&nbsp;".Str_Replace (".", ",", Round ($maxi, $rs_cl ["nombre_chiffres"]))."&nbsp;</TD>" ; }
          }
         Else
	  {
	   Echo "<td align=\"center\">&nbsp;".Str_Replace (".", ",", Round ($mini, $rs_cl ["nombre_chiffres"]))."&nbsp;</td>" ;
           Echo "<td align=\"center\">&nbsp;".$m2_nc."&nbsp;</td>" ;
           Echo "<td align=\"center\">&nbsp;".Str_Replace (".", ",", Round ($maxi, $rs_cl ["nombre_chiffres"]))."&nbsp;</td>" ;
	   Echo "<td" ; If ($nbr_col > 1) { Echo " colspan=\"".(4+$nbr_col)."\"" ; }
           Echo ">&nbsp;</td>" ;
	  }
        }
       Else { If ($droit_courant != $droit_eleve) { Echo "<td colspan=\"".(4+$nbr_col)."\">&nbsp;</td>" ; } }
       */
       Echo "</tr>" ; 
      }
     // Affichage moyenne periodique eleve coefficientee
     If (($autorisations ["a09"] == 1) And ($rs_cl ["coefficient"] == 1) And ($aff_coeff > 0) And ($rs_cl ["coefficient"] == 1))
      {
       Echo "<tr><td" ;
       If ($droit_courant == $droit_eleve) { If ($autorisations ["a09"] == 1) { Echo " colspan=\"2\"" ; } }
       ElseIf ($rs_cl ["coefficient"] == 1) { Echo " colspan=\"2\"" ; }
       Echo ">&nbsp;Moyenne&nbsp;".$nom_p."&nbsp;coefficient&eacute;e&nbsp;</td>" ;
       Echo "<td align=\"center\">&nbsp;<b>".$m4_c."</b>&nbsp;</td>" ;
       /*
       If ($rs_cl ["aff_c"] == 1)
        {
	 If ($droit_courant == $droit_eleve)
          {
           If ($autorisations ["a03"] == 1) { Echo "<td align=\"center\">&nbsp;".$m1_c."&nbsp;</td>" ; }
           If ($autorisations ["a02"] == 1) { Echo "<td align=\"center\">&nbsp;".$m2_c."&nbsp;</td>" ; }
           If ($autorisations ["a06"] == 1) { Echo "<td align=\"center\">&nbsp;".$m3_c."&nbsp;</td>" ; }
          }
         Else
	  {
	   Echo "<td align=\"center\">&nbsp;".$m1_c."&nbsp;</td>" ;
           Echo "<td align=\"center\">&nbsp;".$m2_c."&nbsp;</td>" ;
           Echo "<td align=\"center\">&nbsp;".$m3_c."&nbsp;</td>" ;
	   Echo "<td>&nbsp;</td>" ;
	  }
        }
       Else { If ($droit_courant != $droit_eleve) { Echo "<td colspan=\"4\">&nbsp;</td>" ; } }
       */
       Echo "</tr>" ;
      }
     Echo "</table>" ;
     If ($droit_courant == $droit_prof) { Include ("../include/fin_theme.inc") ; }
     // Affichage appreciations CPE
     If (($rs_cl ["bulletin_cpe"] != 3) And ($rs_cl ["bulletin_cpe"] != 4))
      {
       If (($droit_courant == $droit_prof) Or ($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe) Or ($autorisations ["a08"] == 1))
        {
         $resultat_cpe = SQL_commande ("SELECT * FROM vie_scolaire WHERE eleve='".$id_eleve."' AND periode='".$periode."' LIMIT 1", $id_sql) ;
         If (SQL_nbr_lignes ($resultat_cpe) == 1)
          {
           $cpe = SQL_tableau_associatif ($resultat_cpe, "") ;
           If ($cpe ["cpe"])
            {
             $nom_cpe = SQL_commande ("SELECT nom,civilite FROM utilisateurs WHERE id_utilisateur='".$cpe ["cpe"]."' LIMIT 1", $id_sql) ;
             $ncpe = SQL_ligne_suivante ($nom_cpe) ;
            }
           Else
            {
             $nom_cpe = SQL_commande ("SELECT u.nom,u.civilite FROM utilisateurs u, classes c WHERE c.id_classe='".$id_classe."' AND u.id_utilisateur=c.cpe LIMIT 1", $id_sql) ;
             $ncpe = SQL_ligne_suivante ($nom_cpe) ;
             $cpe ["absences"] = $cpe ["retards"] = $cpe ["non_justifiees"] = "___" ;
             $cpe ["observations"] = "" ;
            }
           Echo "<BR>" ;
	   If ($droit_courant == $droit_prof)
	    {
	     $titre_fenetre = "Appr&eacute;ciations de la vie scolaire." ;
	     Include ("../include/debut_theme.inc") ;
	    }
	   Echo "<TABLE ALIGN=\"CENTER\" BORDER=\"1\" CELLPADDING=\"0\" CELLSPACING=\"0\"" ;
	   If ($droit_courant == $droit_prof) { Echo " BGCOLOR=\"".$theme [0][3]."\"" ; } Else { Echo " BGCOLOR=\"".$couleurs ["lien"]."\"" ; }
	   Echo " STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
           Echo "<TR><TD>" ;
           Echo "<TABLE BORDER=\"0\" WIDTH=\"100%\" CELLPADDING=\"0\" CELLSPACING=\"0\">" ;
           Echo "<TR>" ;
           Echo "<TD ALIGN=\"LEFT\">&nbsp;<B>Vie&nbsp;scolaire&nbsp;:&nbsp;".$civilites [(integer)$ncpe [1]]."&nbsp;".StrToUpper (SubStr ($ncpe [0], 0, 1)).StrToLower (SubStr ($ncpe [0], 1, StrLen ($ncpe [0])-1))."&nbsp;&nbsp;&nbsp;&nbsp;</TD>" ;
           Echo "<TD ALIGN=\"LEFT\">&nbsp;Nombre&nbsp;de&nbsp;demi-journ&eacute;e" ; If ($cpe ["absences"] > 1) { Echo "s" ; }
           Echo "&nbsp;d'absence&nbsp;:&nbsp;".$cpe ["absences"]."&nbsp;(dont&nbsp;".$cpe ["non_justifiees"]."&nbsp;non&nbsp;justifi&eacute;e" ; If ($cpe ["non_justifiees"] > 1) { Echo "s" ; }
           Echo ").&nbsp;&nbsp;Nombre&nbsp;de&nbsp;retard" ; If ($cpe ["retards"] > 1) { Echo "s" ; }
           Echo "&nbsp;:&nbsp;".$cpe ["retards"]."&nbsp;&nbsp;&nbsp;&nbsp;</TD>" ;
           Echo "</TR>" ;
           Echo "<TR><TD></TD><TD>&nbsp;<B>Observations</B>&nbsp;:&nbsp;".$cpe ["observations"]."&nbsp;&nbsp;&nbsp;&nbsp;</TD></TR>" ;
           Echo "</TABLE></TD></TR></TABLE>" ;
	   If ($droit_courant == $droit_prof) { Include ("../include/fin_theme.inc") ; }
          }
        }
      }
     // Remplissage appreciations equipe pedagogique
     $droit_equipe = restaure_configuration ("SYSTEME_PARAM", "saisie_equipe_peda_".$droit_courant, $rs_cl ["etablissement"]) ;
     $id_pp = professeur_principal ($id_classe) ;
     If ((($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe) Or
         (($droit_courant == $droit_prof) And ($id_utilisateur == $id_pp)) And ($droit_equipe == 1)))
      {
       Echo "<BR>" ;
       If (IsSet ($appr_ep) And ($appr_ep == 1)) { Echo "<center><blink><font color=\"#ff0000\">Saisie enregistr&eacute;e</font></blink></center>" ; }
       If ($droit_courant != $droit_prof)
        { Echo "<table border=\"1\" align=\"center\" bgcolor=\"".$couleurs ["couleur_fond"]."\" cellspacing=\"0\" cellpadding=\"0\" style=\"border:1px solid #000000;border-collapse:collapse\">" ; }
       Else
        {
         $titre_fenetre = "Appr&eacute;ciations&nbsp;pour&nbsp;<B>".Str_Replace (" ", "&nbsp;", $rs_el ["nom"])."&nbsp;<I>".$prenom."</I></B>" ;
         Include ("../include/debut_theme.inc") ;
         Echo "<table border=\"0\" align=\"center\" bgcolor=\"".$theme [0][3]."\" cellspacing=\"0\" cellpadding=\"0\" style=\"border-collapse:collapse\">" ;
        }
       Echo "<tr bgcolor=\"" ; If ($droit_courant == $droit_prof) { Echo $theme [0][3] ; } Else { Echo $couleurs ["lien"] ; }
       Echo "\"><td><b>&nbsp;&Eacute;dition&nbsp;de&nbsp;l'appr&eacute;ciation&nbsp;de&nbsp;l'&eacute;quipe&nbsp;p&eacute;dagogique.&nbsp;</b></td></tr>" ;
       Echo "<form action=\"./affiche_bulletin.php\" name=\"appreciations\" method=\"post\">" ;
       Echo "<input type=\"hidden\" name=\"aep\" value=\"1\">" ;
       Echo "<input type=\"hidden\" name=\"aep_id_etablissement\" value=\"".$rs_cl ["etablissement"]."\">" ;
       Echo "<input type=\"hidden\" name=\"id_classe\" value=\"".$id_classe."\">" ;
       Echo "<input type=\"hidden\" name=\"id_eleve\" value=\"".$id_eleve."\">" ;
       Echo "<input type=\"hidden\" name=\"periode\" value=\"".$periode."\">" ;
       Echo "<input type=\"hidden\" name=\"aff_vs\" value=\"".$aff_vie_scolaire."\">" ;
       Echo "<tr><td><table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"border-collapse:collapse\">" ;
       Echo "<tr><td>&nbsp;<textarea name=\"aep_texte\" rows=\"3\" cols=\"70\">".appreciation_equipe_pedagogique ($id_eleve, $id_classe, $periode)."</textarea>&nbsp;</td></tr>" ;
       Echo "<input type=\"hidden\" name=\"submit\">" ;
       // Remplissage cases a cocher (si activees)
       $droit_cases_cochables = restaure_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$rs_cl ["etablissement"], "ACTIVATION") ;
       If ($droit_cases_cochables == "") { sauvegarde_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$rs_cl ["etablissement"], "ACTIVATION", 0) ; $droit_cases_cochables = 0 ; }
       If ($droit_cases_cochables == 1)
        {
	 $nombre = restaure_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$rs_cl ["etablissement"], "NOMBRE") ;
         If ($nombre > 0)
          {
	   Echo "<tr><td><table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"border-collapse:collapse\">" ;
	   $nbr_max = Ceil ($nombre/2) ;
	   $nbr = 0 ;
	   Echo "<tr>" ;
	   For ($i = 1 ; $i <= $nombre ; $i++)
	    {
	     $valeur = restaure_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$rs_cl ["etablissement"], "VALEUR_".$id_classe."_".$id_eleve."_".$periode."_".$i) ;
	     If ($valeur == "") { sauvegarde_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$rs_cl ["etablissement"], "VALEUR_".$id_classe."_".$id_eleve."_".$periode."_".$i, 0) ; $valeur = 0 ; }
	     $nom = restaure_configuration ("SYSTEME_PARAM", "BULLETIN_COCHE_".$rs_cl ["etablissement"], "NOM_".$i) ;
	     Echo "<td align=\"right\"><input type=\"checkbox\" name=\"val_".$i."\" value=\"1\"" ; If ($valeur == 1) { Echo " checked" ; }
	     Echo "></td><td>&nbsp;".$nom."&nbsp;</td><td>&nbsp;&nbsp;</td>" ;
	     $nbr++ ;
	     If ($nbr >= $nbr_max) { Echo "</tr><tr>" ; $nbr = 0 ; }
	    }
	   Echo "</table></td></tr>" ;
	  }
	}
       Echo "<tr><td align=\"center\"><b>Valider la saisie avant de passer &agrave; l'&eacute;l&egrave;ve suivant.</td></tr>" ;
       Echo "<tr><td align=\"right\"><input type=\"image\" src=\"" ;
       If ($droit_courant == $droit_prof) { Echo $rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][0] ; }
       Else { Echo "../images/valider.png" ; }
       Echo "\">&nbsp;</td></tr>" ;
       Echo "</table></td></tr></form></table>" ;
       If ($droit_courant == $droit_prof) { Include ("../include/fin_theme.inc") ; }       
      }
     
     // Passage au suivant ou precedent
     If (($droit_courant == $droit_prof) Or ($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe))
      {
       // Passage au suivant ou precedent
       $elv = SQL_commande ("SELECT id_eleve,nom,prenoms FROM eleves WHERE classe='".$id_classe."' AND millesime='".$millesime."' ORDER BY nom,prenoms", $id_sql) ;
       If (SQL_nbr_lignes ($elv) > 1)
        {       
         $p1 = "<TD WIDTH=\"33%\"></TD>" ;
         $p3 = "<TD WIDTH=\"10%\"></TD>" ;
         $p2  = "<FORM ACTION=\"./affiche_bulletin.php\" NAME=\"eleve_suivant\" METHOD=\"POST\" onSubmit=\"return verif_eleve()\">" ;
         $p2 .= "<TD ALIGN=\"CENTER\">" ;
         $p2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
         $p2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"periode\" VALUE=\"".$periode."\">" ;
         $p2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
	 $p2 .= "<input type=\"hidden\" name=\"aff_vs\" value=\"".$aff_vie_scolaire."\">" ;
         $p2 .= "<SELECT NAME=\"id_eleve\">" ;
         $p2 .= "<OPTION VALUE=\"0\">Choix &eacute;l&egrave;ve suivant</OPTION>" ;
	 $p4 .= "" ;
         //If ($el < SQL_nbr_lignes ($elv)) { $s = $el + 1 ; } Else { $s = 1 ; }
         $id_prec = 0 ;
	 $ok_eleve_choix = $ok_premier_choix = 0 ;
	 $nbr_eleves = SQL_nbr_lignes ($elv) ;
         For ($i = 0 ; $i < $nbr_eleves ; $i++)
          {
           If ($i > 0)
	    {
	     If ($i > 1) { $id_prec2 = $id_prec ; }
	     $id_prec = $eleve [0] ;
            }
	   $eleve = SQL_ligne_suivante ($elv) ;
	   If ($id_eleve != $eleve [0])
	    {
	     If (StrPos ($eleve [2], " ")) { $prenom = SubStr ($eleve [2], 0, StrPos ($eleve [2], " ")) ; }
             Else { $prenom = $eleve [2] ; }
             $prenom = StrToUpper (SubStr ($prenom, 0, 1)).StrToLower (SubStr ($prenom, 1, StrLen ($prenom)-1)) ;
	     If ($ok_premier_choix == 0)
	      {
               $p2_1 = "<OPTION VALUE=\"-".$eleve [0]."\"" ;
	       If ($id_eleve == $id_prec) { $p2_1 .= " selected" ; $ok_eleve_choix = 1 ; }
	       $p2_2 = ">".$eleve [1]." ".$prenom."</OPTION>" ;
	      }
	     Else
	      {
	       $p4 .= "<OPTION VALUE=\"-".$eleve [0]."\"" ;
	       If (($ok_eleve_choix == 0) And ($id_eleve == $id_prec)) { $p4 .= " selected" ; $ok_eleve_choix = 1 ; }
	       $p4 .= ">".$eleve [1]." ".$prenom."</OPTION>" ;
	      }
	     $ok_premier_choix = 1 ;
	    }
	   ElseIf ($i == $nbr_eleves-1) { $p2_1 .= " selected" ; $ok_eleve_choix = 1 ; }
	   If ((($i > 1) And ($id_eleve == $id_prec)) Or (($i == $nbr_eleves-1) And ($id_eleve == $eleve [0])))
	    {
	     $p1  = "<TR>" ;
             $p1 .= "<FORM ACTION=\"./affiche_bulletin.php\" METHOD=\"POST\">" ;
             $p1 .= "<TD ALIGN=\"CENTER\">" ;
             $p1 .= "<INPUT TYPE=\"IMAGE\" SRC=\"../images/fleche_gauche.png\" TITLE=\" &Eacute;l&egrave;ve pr&eacute;c&eacute;dent \">" ;
             $p1 .= "<input type=\"hidden\" NAME=\"precedent\">" ;
             $p1 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"-".$id_prec2."\">" ;
             $p1 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
             $p1 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"periode\" VALUE=\"".$periode."\">" ;
	     $p1 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
	     $p1 .= "<input type=\"hidden\" name=\"aff_vs\" value=\"".$aff_vie_scolaire."\">" ;
             $p1 .= "</TD>" ;
             $p1 .= "</FORM>" ;
	    }
	   If ($i > 0)
	    {
	     If ($id_eleve == $id_prec)
	      {
	       $p3  = "<FORM ACTION=\"./affiche_bulletin.php\" METHOD=\"POST\">" ;
               $p3 .= "<TD ALIGN=\"CENTER\">" ;
               $p3 .= "<INPUT TYPE=\"IMAGE\" SRC=\"../images/fleche_droite.png\" TITLE=\" &Eacute;l&egrave;ve suivant \">" ;
               $p3 .= "<input type=\"hidden\" NAME=\"suivant\">" ;
               $p3 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"-".$eleve [0]."\">" ;
               $p3 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
               $p3 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"periode\" VALUE=\"".$periode."\">" ;
               $p3 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
	       $p3 .= "<input type=\"hidden\" name=\"aff_vs\" value=\"".$aff_vie_scolaire."\">" ;
               $p3 .= "</TD>" ;
               $p3 .= "</FORM>" ;
	      }
            }
          }
         $p2 .= $p2_1.$p2_2.$p4."</SELECT>" ;
         $p2 .= "<INPUT TYPE=\"SUBMIT\" NAME=\"submit\" VALUE=\" &Eacute;l&egrave;ve choisi \">" ;
         $p2 .= "</FORM>" ;
         $p2 .= "</TD>" ;
         Echo "<BR><TABLE BORDER=\"0\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"0\"><TR><TD HEIGHT=\"2\" COLSPAN=\"3\"></TD></TR>".$p1.$p2.$p3."</TR></TABLE>" ;
        }
      }     
    }
  }
 Else
  {
   If (($droit_courant == $droit_prof) Or ($droit_courant == $droit_secretariat) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_cpe))
    {
     // Aucun eleve donc on commence au premier de la liste
     $prem_elv = SQL_commande ("SELECT id_eleve FROM eleves WHERE classe='".$id_classe."' AND millesime='".$millesime."' ORDER BY nom,prenoms LIMIT 1", $id_sql) ;
     $pe = SQL_ligne_suivante ($prem_elv) ;
     $id_eleve = $pe [0] ;
     $prem_elv = SQL_commande ("SELECT COUNT(id_eleve) FROM eleves WHERE classe='".$id_classe."' AND millesime='".$millesime."'", $id_sql) ;
     $pe = SQL_ligne_suivante ($prem_elv) ;
     Header ("Location: affiche_bulletin.php?id_eleve=-".$id_eleve."&id_classe=".$id_classe."&periode=".$periode."&nbr_elv=".$pe [0]."&aff_vs=".$aff_vie_scolaire."&code=".$_SESSION ["code"]) ;
    }
   Else
    {
     // Erreur de transmission de l'identifiant eleve
     // Entetes
     Echo entete_page ("", "") ;
     Echo "<HTML><HEAD>" ;
     entete_html ("Garennes - Acc&egrave; public", "travail", 1) ;
     Echo "</HEAD>" ;
     Echo "<BODY BACKGROUND=\"../images/fond.png\" TEXT=\"#000000\" onContextMenu=\"return false\">" ;
     Echo "<BR><BR><CENTER>Il y a eu une erreur de transmission avec le serveur !</CENTER>" ;
    }
  }
 Echo "<script type=\"text/javascript\">top.travail.travail_menu.document.consultation.type.value=".$type.";</script>" ;
 Echo "</body></html>" ;
?>