<?php
 If (!IsSet ($reentrance))
  {
   Session_Start () ;
   $_SESSION ["repertoire_config"] = "../../include" ;
   Include ("../../include/garennes.cfg") ;
   Include ("../../include/init.php") ;
   Include ("../include/config.inc") ;
   verif_droits ($droit_courant, $_SESSION ["code"]) ;
  }

 $etat_fenetre = var_courante ("etat_fenetre", 0, 0) ;
 $el = var_courante ("el", 0, -1) ;
 $id_classe = var_courante ("id_classe", 0, 0) ;
 $id_eleve = var_courante ("id_eleve", 0, null) ;
 $periode = var_courante ("periode", 0, 0) ;
 $type_graphique = var_courante ("type_graphique", 0, null) ;
 $pas = var_courante ("pas", 0, null) ;
 $pas_largeur = var_courante ("pas_largeur", 0, null) ;
 $pas_hauteur = var_courante ("pas_hauteur", 0, null) ;
 $quad_h = var_courante ("quad_h", 0, null) ;
 $quad_v = var_courante ("quad_v", 0, null) ;
 $compare0 = var_courante ("compare0", 0, null) ;
 $compare1 = var_courante ("compare1", 0, null) ;
 $compare2 = var_courante ("compare2", 0, null) ;
 $comp_id_el = var_courante ("comp_id_el", 0, null) ;
 $largeur_graphe = var_courante ("largeur_graphe", 0, null) ;
 $hauteur_graphe = var_courante ("hauteur_graphe", 0, null) ;
 $ind_40 = var_courante ("ind_40", 0, null) ;
 $ind_60 = var_courante ("ind_60", 0, null) ;
 $code = var_courante ("code", 0, $_SESSION ["code"]) ;
 $millesime = millesime (0) ;
 
 $numero_rne = retrouve_rne ($millesime) ;
 If (StrToUpper (SubStr (PHP_OS, 0, 3) == "WIN")) { $separateur = "\\" ; } Else { $separateur = "/" ; }
 
 // Format des arrondis des moyennes
 $format_arrondi = restaure_configuration ("PROF_".utilparcode ($code),"MOYENNES","FORMAT") ;
 If (!IsSet ($format_arrondi) Or ($format_arrondi < 0) Or ($format_arrondi == "")) { $format_arrondi = 2 ; }
 
 $param_theme = parametres_theme (themeparsession ($_SESSION ["code"])) ;
 $rep_themes = "../../images/themes/" ;
 Include ($rep_themes.$param_theme ["nom_repertoire"]."/".$param_theme ["fichier_config"]) ;
 
 // Parametres
 $nom_classe = nom_classe_long_parid ($id_classe) ;
 $professeur = utilparcode ($_SESSION ["code"]) ;
 $nom_p = nom_periode ($id_classe) ;
 $nbr_periode = nombre_periode ($id_classe) ;
 $periode_actuelle = periode_actuelle ($id_classe) ;
 //If (($periode > $nbr_periode) And ($periode != $nbr_periode+1)) { $periode = $nbr_periode ; }
 If ($periode > $nbr_periode) { $periode = $nbr_periode ; }
 
 // Calcul moyenne coefficientee
 $resultat = SQL_commande ("SELECT coefficient FROM classes WHERE id_classe='".$id_classe."' LIMIT 1", $id_sql) ;
 $ligne = SQL_ligne_suivante ($resultat) ;
 $aff_coeff = $ligne [0] ;
 
 // Liste des eleves
 $resultat = SQL_commande ("SELECT id_eleve,nom,prenoms,photo FROM eleves WHERE classe='".$id_classe."' AND exterieur>='0' AND millesime='".$millesime."' ORDER BY nom,prenoms", $id_sql) ;
 $num_el = -1 ;
 While ($ligne = SQL_tableau_associatif ($resultat, ""))
  {
   $eleves [] = $ligne ["id_eleve"] ;
   If (IsSet ($id_eleve) And ($ligne ["id_eleve"] == $id_eleve)) { $el = $num_el ; }
   $noms [] = $ligne ["nom"] ;
   If (StrPos ($ligne ["prenoms"], " ")) { $prenoms [] = SubStr ($ligne ["prenoms"], 0, StrPos ($ligne ["prenoms"], " ")) ; }
   Else { $prenoms [] = $ligne ["prenoms"] ; }
   If (($ligne ["photo"]) And (File_Exists ($repertoire_racine.$separateur."images".$separateur."eleves".$separateur.$numero_rne.$separateur.$ligne ["photo"]))) { $photo [] = $http_garennes."images/eleves/".$numero_rne."/".$ligne ["photo"] ; }
   Else { $photo [] = $http_garennes."images/eleves/anonyme.png" ; }
   $num_el++ ;
  }

 // Mise a jour de $el
 If (IsSet ($el) And ($el > -1) And ($el < Count ($eleves))) { $el++ ; } Else { $el = 0 ; }
 
 // Mise par defaut du type de graphe a tracer et du pas
 // Restauration des parametres utilisateur
 If (!IsSet ($type_graphique)) { $type_graphique = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","type_graphique") ; }
 If (!IsSet ($largeur_graphe)) { $largeur_graphe = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","largeur_graphe") ; }
 If (!IsSet ($hauteur_graphe)) { $hauteur_graphe = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","hauteur_graphe") ; }
 If (!IsSet ($pas)) { $pas = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","pas") ; }
 If (!IsSet ($quad_h)) { $quad_h = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","quad_h") ; }
 If (!IsSet ($quad_v)) { $quad_v = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","quad_v") ; }
 If (!IsSet ($compare0)) { $compare0 = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","compare0") ; }
 If (!IsSet ($compare1)) { $compare1 = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","compare1") ; }
 If (!IsSet ($compare2)) { $compare2 = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","compare2") ; }
 If (!IsSet ($comp_id_el)) { $comp_id_el = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","comp_id_el") ; }
 If (!IsSet ($ind_40)) { $ind_40 = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","ind_40") ; }
 If (!IsSet ($ind_60)) { $ind_60 = restaure_configuration ($professeur."_".$identifiant,"bilan_eleve","ind_60") ; }
 If ($type_graphique == "") { $type_graphique = 1 ; }
 If ($largeur_graphe == "") { $largeur_graphe = $largeur_graphe_defaut ; }
 If ($hauteur_graphe == "") { $hauteur_graphe = $hauteur_graphe_defaut ; }
 If ($pas == "") { $pas = 1 ; }
 If ($quad_h == "") { $quad_h = 0 ; }
 If ($quad_v == "") { $quad_v = 0 ; }
 If ($compare0 == "") { $compare0 = 0 ; }
 If ($compare1 == "") { $compare1 = 0 ; }
 If ($compare2 == "") { $compare2 = 0 ; }
 If ($comp_id_el == "") { $comp_id_el = 0 ; }
 If ($ind_40 == "") { $ind_40 = 0 ; }
 If ($ind_60 == "") { $ind_60 = 0 ; }
 
 // Mise en place des coefficient d'echelles
 If (!IsSet ($graphe_pas_largeur)) { $graphe_pas_largeur = $graphe_pas_largeur_defaut ; }
 If (!IsSet ($graphe_pas_hauteur)) { $graphe_pas_hauteur = $graphe_pas_hauteur_defaut ; }
 If (!IsSet ($pas_largeur)) { $pas_largeur = 1 ; }
 If (!IsSet ($pas_hauteur)) { $pas_hauteur = 1 ; }

 // Mise a la taille du graphe
 $largeur_graphe = Round ($largeur_graphe*$pas_largeur) ;
 $hauteur_graphe = Round ($hauteur_graphe*$pas_hauteur) ;
 If ($largeur_graphe < $largeur_graphe_mini_defaut) { $largeur_graphe = $largeur_graphe_mini_defaut ; }
 ElseIf ($largeur_graphe > $largeur_graphe_maxi_defaut) { $largeur_graphe = $largeur_graphe_maxi_defaut ; }
 If ($hauteur_graphe < $hauteur_graphe_mini_defaut) { $hauteur_graphe = $hauteur_graphe_mini_defaut ; }
 ElseIf ($hauteur_graphe > $hauteur_graphe_maxi_defaut) { $hauteur_graphe = $hauteur_graphe_maxi_defaut ; }

 If ($droit_courant != $droit_prof)
  {
   $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0'", $id_sql) ;
   $l = SQL_tableau_associatif ($resultats, "") ;
  }
 Echo entete_page ("", "") ;
 Echo "<html><head>" ;
 entete_html ("Garennes", "", 1) ;
 Echo styles ("none", "none", "none", $theme [0][32], "none") ;
 Include ("./bilan_eleve.js") ;
 // Pour les outils
 /*
 Echo "<script>" ;
 Echo "function cache_tout(){" ;
 Echo "getElement(\"graphique_1\").style.display='none';" ;
 Echo "getElement(\"graphique_2\").style.display='none';" ;
 Echo "getElement(\"graphique_3\").style.display='none';" ;
 Echo "}" ;
 Echo "function visualise_option(nom){cache_tout();getElement(nom).style.display='block'}" ;
 Echo "</script>" ;
 */
 Echo "</head>" ;
 
 $resultats = SQL_commande ("SELECT e.*,c.coefficient_vs FROM etablissements e,classes c WHERE c.id_classe='".$id_classe."' AND c.etablissement=e.id_etablissement LIMIT 1", $id_sql) ;
 $gestion = SQL_tableau_associatif ($resultats, "") ;
 If ($gestion ["max"] <= 0) { $gestion ["max"] = 20 ; }
 
 $aff_moy_gene = restaure_configuration ("SYSTEME_PARAM", "evolution_affichage_moy_gen", $gestion ["id_etablissement"]) ;
 $aff_moy_coeff = restaure_configuration ("SYSTEME_PARAM", "evolution_affichage_moy_coeff", $gestion ["id_etablissement"]) ;
 
 // Droit d'afficher le bulletin ?
 If (($droit_courant == $droit_admin) Or ($droit_courant == $droit_direction) Or ($droit_courant == $droit_secretariat)) { $droit_bulletin = 1 ; }
 Else
  {
   $requete  = "SELECT d.droit FROM droits_menu_classe d,menus_classe m,types_menus_classe t " ;
   $requete .= "WHERE t.type='2' AND t.id_type_menu_classe=m.id_type_menu_classe AND m.menu='4' AND m.id_menu_classe=d.id_menu_classe " ;
   $requete .= "AND (d.droit=1 OR (d.droit=2 AND (d.id_utilisateur=0 OR d.id_utilisateur=".$professeur.")) OR " ;
   $requete .= "(d.droit=3 AND (d.id_utilisateur=0 OR d.id_utilisateur=".$professeur."))) AND d.droit!=0" ;
   $dts = SQL_commande ($requete, $id_sql) ;
   If (SQL_nbr_lignes ($dts) > 0) { $droit_bulletin = 1 ; } Else { $droit_bulletin = 0 ; }
  }
 
 // Discipline CPE
 If (($gestion ["bulletin_cpe"] == 3) Or ($gestion ["bulletin_cpe"] == 4))
  {
   For ($i = 1 ; $i <= $periode ; $i++)
    {
     $res = SQL_commande ("SELECT v.note FROM vie_scolaire v,eleves e,classes c WHERE c.id_classe='".$id_classe."' AND e.classe=c.id_classe AND v.eleve=e.id_eleve AND v.periode=".$i, $id_sql) ;
     $moy_cpe = $ok = 0 ;
     $nbr_moy = 0 ;
     $nbr_cpe = SQL_nbr_lignes ($res) ;
     For ($j = 1 ; $j <= SQL_nbr_lignes ($res) ; $j++)
      {
       $r = SQL_ligne_suivante ($res) ;
       If (!Is_Numeric ($r [0])) { $r [0] = "-" ; }
       Else
        {
	 $nbr_moy++ ;
         $moy_cpe += $r [0] ;
         If ($ok == 0) { $min_cpe = $max_cpe = $r [0] ; $ok = 1 ; }
         Else
          {
           If ($r [0] < $min_cpe) { $min_cpe = $r [0] ; }
           If ($r [0] > $max_cpe) { $max_cpe = $r [0] ; }
          }
        }
      }
     If ($nbr_moy > 0)
      {
       $aff_cpe [0][$i*3-3] = $moy_cpe/$nbr_moy ; // Moyenne
       $aff_cpe [0][$i*3-2] = $min_cpe ; // Min
       $aff_cpe [0][$i*3-1] = $max_cpe ; // Max
      }
     Else
      {
       $aff_cpe [0][$i*3-3] = "-" ; // Moyenne
       $aff_cpe [0][$i*3-2] = "-" ; // Min
       $aff_cpe [0][$i*3-1] = "-" ; // Max
      }
    }
  }

 Echo "<BODY BACKGROUND=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][10]."\">"; //onContextMenu=\"return false\">" ;
 // Patience
 Echo faire_patienter ("<font color='#000000' face='Verdana' size='4'><b>Veuillez patienter, la page est en cours de chargement...</b></font>", $theme [0][29], $theme [0][3]) ;
 //Echo "<div style=\"position:absolute;left:0px;top:0px;visibility:visible;z-index:1\" id=\"moyenne\">" ;
 Echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" WIDTH=\"100%\">" ;
 Echo "<TR><TD><A HREF=\"#\" onClick=\"fenetre_graphe('graphe_controle',true)\">" ;
 Echo "<IMG SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][19]."\" BORDER=\"0\" TITLE=\"Fen&ecirc;tre de contr&ocirc;le du graphe...\"></A>" ;
 If (($droit_courant != $droit_eleve) And ($droit_bulletin == 1))
  {
   $per_act = periode_actuelle ($id_classe) ;
   For ($i = 1 ; $i <= $per_act ; $i++)
    {
     Echo "<a href=\"./affiche_bulletin.php?code=".$_SESSION ["code"]."&id_classe=".$id_classe."&periode=".$i."&id_eleve=".$eleves [$el]."\" border=\"0\"><img src=\"../images/bulletin".$i.".png\" border=\"0\" title=\"Afficher le bulletin scolaire de la p&eacute;riode ".$i."...\"></a>" ;
    }
  }
 Echo "</TD>" ;
 
 If ($droit_courant == $droit_prof) { $couleur_bilan = $theme [0][38] ; } Else { $couleur_bilan = "#0000FF" ; }
 Echo "<TD ALIGN=\"CENTER\"><FONT SIZE=\"+2\" COLOR=\"".$couleur_bilan."\">Bilan de <B>".$noms [$el]."</FONT>&nbsp;" ;
 Echo "<FONT SIZE=\"+1\" COLOR=\"".$theme [0][38]."\"><I>".$prenoms [$el]."</I></B></FONT></TD>" ;
 Echo "<TD>" ;

 If ($droit_courant != $droit_eleve)
  {
   If ($etat_fenetre == 0)
    {
     Echo "<A HREF=\"javascript:ouvrefenetre('./bilan_eleve.php?etat_fenetre=1&code=".$_SESSION ["code"]."&el=".($el-1)."&id_classe=".$id_classe."&periode=".$periode ;
     Echo "&code=".$_SESSION ["code"]."&type_graphique=".$type_graphique."&pas=".$pas."&quad_h=".$quad_h."&quad_v=".$quad_v."&compare0=".$compare0."&compare1=".$compare1 ;
     Echo "&compare2=".$compare2."&comp_id_el=".$comp_id_el."&largeur_graphe=".$largeur_graphe."&hauteur_graphe=".$hauteur_graphe."')\" TITLE=\"Passer en grand &eacute;cran...\">" ;
     $etat_fenetre = 0 ;
    }
   Else { Echo "<A HREF=\"javascript:window.close()\" TITLE=\"Fermer le grand &eacute;cran...\">" ; }
   If ($droit_courant == $droit_prof) { Echo "<IMG SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][12+$etat_fenetre]."\" BORDER=\"0\"></A></TD>" ; }
   Else
    {
     Echo "<IMG SRC=\"../images/" ;
     Switch ($etat_fenetre)
      {
       Case 0 : Echo "agrandir.png" ; Break ;
       Case 1 : Echo "reduire.png" ; Break ;
      }
     Echo "\" BORDER=\"0\"></A></TD>" ;
    }
  }
 Else { Echo "&nbsp;" ; }
 Echo "</td></tr><tr><td></td><td align=\"center\">Mode d'arrondi des moyennes : <b>".nom_arrondi ($format_arrondi)."</b>.</td><td></td></tr></table>" ;
 
 $non_centrer = 0 ;
 $titre_fenetre = "Moyennes&nbsp;par&nbsp;discipline&nbsp;sur&nbsp;<B>".$gestion ["max"]."</B>." ;
 If ($gestion ["aff_evolution"] == 1) { $titre_fenetre .= "&nbsp;Seuils&nbsp;:&nbsp;bas&nbsp;=&nbsp;".Str_Replace (".", ",", $gestion ["seuil_bas"])."&nbsp;;&nbsp;haut&nbsp;=&nbsp;".Str_Replace (".", ",", $gestion ["seuil_haut"]) ; }
 
 Include ("../include/debut_theme.inc") ;
 
 Echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" CELLSPACING=\"0\" CELLPADDING=\"5\" BGCOLOR=\"".$theme [0][3]."\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;

 // Fichier
 $fichier = "f".Session_Id ().Rand () ;
 $fiche = FOpen ("../../tmp/".$fichier, "w") ;
 FPuts ($fiche, "<?php\n") ;

 $table_disc [0][0] = 0 ;
 $nbr_disc = 0 ;
 
 // Determine le nombre et le nom des groupements de disciplines
 $groupe_disc = groupement_toutes_disciplines ($id_classe, $millesime) ;
 // Discipline CPE ?
 $tcpe = type_saisie_vie_scolaire ($id_classe) ;
 If (($tcpe == 3) Or ($tcpe == 4)) { $id_cpe = restaure_configuration_defaut ("SYSTEME_PARAM","STRUCTURE_VS","GROUPE_".$id_classe,1) ; }
 For ($i = 1 ; $i <= $groupe_disc [0][0] ; $i++)
  {
   $resultat_disc = structure_pedagogique ($id_classe, $groupe_disc [$i][0], $millesime) ;
   // Nombre de disciplines dans ce groupe
   $groupe_disc [$i][6] = SQL_nbr_lignes ($resultat_disc) ;
   While ($ligne = SQL_tableau_associatif ($resultat_disc, ""))
    {
     $ok_disc = 0 ;
     For ($j = 1 ; $j <= $table_disc [0][0] ; $j++)
      {
       If (($table_disc [$j][0] == $ligne ["id_service_prof"]) And ($table_disc [$j][1] == $ligne ["id_service_classe"])) { $ok_disc = 1 ; }
      }
     If ($ok_disc == 0)
      {
       $table_disc [0][0]++ ;
       $table_disc [$table_disc [0][0]][0] = $ligne ["id_service_prof"] ;
       $table_disc [$table_disc [0][0]][1] = $ligne ["id_service_classe"] ;
       
       $disc [$nbr_disc] = $ligne ["nom_bref"] ;
       $id_disc [$nbr_disc] = $ligne ["id_discipline"] ;
       $id_sc [$nbr_disc] = $ligne ["id_service_classe"] ;
       $id_sp [$nbr_disc] = $ligne ["id_service_prof"] ;
       $id_sd [$nbr_disc] = $ligne ["sous_discipline"] ;
       $optionnelle [$nbr_disc] = estoptionnelle ($ligne ["id_discipline"], $id_classe, $ligne ["id_service_classe"]) ;
       $moy_coeff [$nbr_disc] = $ligne ["coefficient"] ;
       $code_disc [$nbr_disc] = $ligne ["code"] ;
       If ($ligne ["professeur"] < 0) { $alias [$nbr_disc] = $ligne ["professeur"] ; $a = alias_enseignant_principal ($ligne ["professeur"]) ; $ok_alias = 1 ; }
       Else { $a = caracteristiques_utilisateur ($ligne ["professeur"]) ; $alias [$nbr_disc] = 0 ; }
       $prof_id [$nbr_disc] = $a [0] ;
       $prof_civ [$nbr_disc] = $a [1] ;
       $prof_nom [$nbr_disc] = $a [2] ;
       $prof_prenom [$nbr_disc] = $a [3] ;
       $type_discipline [$nbr_disc] = $ligne ["type_discipline"] ;
       $type_moyenne [$nbr_disc] = $ligne ["type_moyenne"] ;
       If (($ligne ["sous_discipline"] > 0) Or (($ligne ["sous_discipline"] == 0) And ($ligne ["groupe_classe"] > 0)))
        {
	 $gp [$nbr_disc] = $ligne ["groupe_classe"] ;
         If ($ligne ["sous_discipline"] > 0)
          {
           $sous_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$ligne ["sous_discipline"]."' LIMIT 1", $id_sql) ;
           $sd = SQL_ligne_suivante ($sous_disc) ;
           //$nom_disc [$nbr_disc] = $ligne ["nom_long"]." (".$sd [0].")" ;
	   $nom_sd [$nbr_disc] = $sd [0] ;
          }
         Else
          {
           //$nom_disc [$nbr_disc] = $ligne ["nom_long"] ;
	   $nom_sd [$nbr_disc] = "" ;
          }
        }
       Else
        {
         //$nom_disc [$nbr_disc] = $ligne ["nom_long"] ;
         $gp [$nbr_disc] = 0 ;
	 $nom_sd [$nbr_disc] = "" ;
        }
       $ok_notes = 0 ;
       For ($j = 1 ; $j <= $periode ; $j++)
        {
         $nombre_notes = SQL_commande ("SELECT COUNT(n.id_note) FROM controles c,notes n
	                                 WHERE c.discipline='".$id_disc [$nbr_disc]."' AND c.classe='".$id_classe."' AND c.service_prof='".$id_sp [$nbr_disc]."' AND c.millesime='".$millesime."'
                                           AND c.periode='".$j."' AND c.id_controle=n.controle AND n.eleve='".$eleves [$el]."'
					   AND n.valeur!='".$code_absent."' AND n.valeur!='".$code_dispense."' AND n.valeur!='".$code_non_rendu."' AND n.valeur!='".$code_aucune_note."'", $id_sql) ;
         $nnts = SQL_ligne_suivante ($nombre_notes) ;
         $nbr_notes [$nbr_disc][$j] = $nnts [0] ;
         If ($nnts [0] > 0) { $ok_notes++ ; }
        }
       If ($ok_notes > 0) { $discipline_active [$nbr_disc] = 1 ; } Else { $discipline_active [$nbr_disc] = 0 ; }
       $nbr_disc++ ;
      }
    }
   // Ajout vie scolaire
   If (IsSet ($id_cpe) And (($id_cpe == $i) Or (($id_cpe == 0) And ($i == 1))) And (($tcpe == 3) Or ($tcpe == 4)))
    {
     /*
     $table ["nombre_disc"][$i]++ ;
     $table ["disc"][$compteur] = "VIE SC" ; // Enregistre le nom de la discipline
     $table ["id_disc"][$compteur] = -1 ; // Enregistre l'id de la discipline
     $table ["id_sc"][$compteur] = -1 ; // Enregistre l'id du service classe
     $table ["id_sp"][$compteur] = -1 ; // Enregistre l'id du service prof
     $table ["id_gc"][$compteur] = -1 ; // Enregistre le numero de groupe (0 si pas de groupe, -1 si vie scolaire)
     $table ["id_ens"][$compteur] = id_cpe_par_id_classe ($id_classe) ; // Enregistre l'id du CPE
     $ne = SQL_commande ("SELECT civilite,nom,prenom FROM utilisateurs WHERE id_utilisateur='".$table ["id_ens"][$compteur]."' LIMIT 1", $id_sql) ;
     If (SQL_nbr_lignes ($ne) == 1)
      {
       $nens = SQL_ligne_suivante ($ne) ;
       $table ["civ_ens"][$compteur] = $nens [0] ;
       $table ["nom_ens"][$compteur] = $nens [1] ;
       $table ["pre_ens"][$compteur] = $nens [2] ;
       $ok_aff_nom = 1 ;
      }
     $table ["coeff_disc"][$compteur] = coefficient_discipline_vie_scolaire ($id_classe) ;
     $table ["id_sous_disc"][$compteur] = 0 ;
     $table ["sous_disc"][$compteur] = "" ;
     $table ["nom_groupe"][$compteur] = "" ;
     $compteur++ ;
     */
     $groupe_disc [$i][6]++ ;
     $disc [$nbr_disc] = "VIE SC" ;
     $id_disc [$nbr_disc] = -1 ;
     $id_sc [$nbr_disc] = -1 ;
     $id_sp [$nbr_disc] = -1 ;
     $id_sd [$nbr_disc] = 0 ;
     //$optionnelle [$nbr_disc] = estoptionnelle ($id_disc [$nbr_disc], $id_classe, $id_sc [$nbr_disc]) ;
     $moy_coeff [$nbr_disc] = coefficient_discipline_vie_scolaire ($id_classe) ;
     $code_disc [$nbr_disc] = "" ;
     If ($ligne ["professeur"] < 0) { $alias [$nbr_disc] = $ligne ["professeur"] ; $a = alias_enseignant_principal ($ligne ["professeur"]) ; $ok_alias = 1 ; }
     Else { $a = caracteristiques_utilisateur ($ligne ["professeur"]) ; $alias [$nbr_disc] = 0 ; }
     $prof_id [$nbr_disc] = id_cpe_par_id_classe ($id_classe) ; // Enregistre l'id du CPE
     $ne = SQL_commande ("SELECT civilite,nom,prenom FROM utilisateurs WHERE id_utilisateur='".$prof_id [$nbr_disc]."' LIMIT 1", $id_sql) ;
     If (SQL_nbr_lignes ($ne) == 1)
      {
       $nens = SQL_ligne_suivante ($ne) ;
       $prof_civ [$nbr_disc] = $nens [0] ;
       $prof_nom [$nbr_disc] = $nens [1] ;
       $prof_prenom [$nbr_disc] = $nens [2] ;
       $ok_aff_nom = 1 ;
      }
     $type_discipline [$nbr_disc] = 0 ;
     $type_moyenne [$nbr_disc] = 0 ;
     $gp [$nbr_disc] = 0 ;
     $nom_sd [$nbr_disc] = "" ;
     For ($j = 1 ; $j <= $periode ; $j++)
      {
       $nbr_notes [$nbr_disc][$j] = 1 ;
      }
     $discipline_active [$nbr_disc] = 1 ;
     $nbr_disc++ ;
    }
  }
 $nbr_disc = $table_disc [0][0] ;
 
 // notes
 $ligne_disc  = "<tr bgcolor=\"".$theme [0][45]."\"" ; //If ($droit_courant != $droit_prof) { $ligne_disc .= " bgcolor=\"".$l ["lien"]."\"" ; }
 If (($groupe_disc [0][0] > 0) And ($groupe_disc [1][0] != -1)) { $aff_nom_groupe = 1 ; $plus = " rowspan=\"2\"" ; }
 $ligne_disc .= "><td align=\"right\"".$plus.">&nbsp;Disciplines&nbsp;</td>" ;
 $ligne_disc_1 = "" ;
 $ligne_disc_2 = "" ;
 $ligne_fiche_0 = "// Nom des periodes\n" ;
 $ligne_fiche_1 = "// Debut des donnees : Disciplines\n" ;
 $ligne_fiche_2 = "// Suite des donnees : Moyennes par discipline\n" ;
 If ($compare1 == 1) { $ligne_fiche_3 = "// Suite des donnees : Comparaison classe\n" ; } Else { $ligne_fiche_3 = "" ; }
 If ($compare2 == 1) { $ligne_fiche_4 = "// Suite des donnees : Comparaison eleve\n" ; } Else { $ligne_fiche_4 = "" ; }
 $nbr_comp = 0 ;
 $okd = 0 ;
 For ($j = 0 ; $j < $nbr_disc ; $j++) { $discipline [$j] = 0 ; }
 $num_ligne = 0 ;
 $num_p_ligne = 0 ;
 $nbr_donnees = 0 ;
 $debut_periode = 1 ;
 $fin_periode = $periode ;
 //If ($compare0 == 1) { $debut_periode = 1 ; $fin_periode = $periode ; }
 //Else { $debut_periode = 1 ; $fin_periode = $periode ; }
 For ($i = $debut_periode ; $i <= $fin_periode ; $i++)
  {
   For ($j = 1 ; $j <= $groupe_disc [0][0] ; $j++)
    {
     // NC groupement
     $calcul_disc [$i][$j][1] = $calcul_disc [$i][$j][2] = 0 ;
     // C groupement
     $calcul_disc [$i][$j][3] = $calcul_disc [$i][$j][4] = 0 ;
     // NC annee
     $calcul_disc [$i][$j][5] = $calcul_disc [$i][$j][6] = 0 ;
     // C annee
     $calcul_disc [$i][$j][7] = $calcul_disc [$i][$j][8] = 0 ;
    }
  }
 For ($i = $debut_periode ; $i <= $fin_periode ; $i++)
  {
   $nbr = 0 ;
   $ok = 0 ;
   $compteur = 0 ;
   $moyenne_nc [$i] = 0 ;
   $nbr_moy_nc [$i] = 0 ;
   $moyenne_c [$i] = 0 ;
   $nbr_moy_c [$i] = 0 ;
   If (($i <= $periode_actuelle) Or ($i == $nbr_periode+1))
    {
     If ($i != $nbr_periode+1) { $num_ligne++ ; }
     $passe_ok = 0 ;
     // Discipline CPE
     /*
     If (($gestion ["bulletin_cpe"] == 3) Or ($gestion ["bulletin_cpe"] == 4))
      {
       If ($i <= $nbr_periode)
        {
         $res = SQL_commande ("SELECT note FROM vie_scolaire WHERE eleve='".$eleves [$el]."' AND periode='".$i."' LIMIT 1", $id_sql) ;
         If (SQL_nbr_lignes ($res) == 1) { $r = SQL_ligne_suivante ($res) ; } Else { $r [0] = "-" ; }
         If ($r [0] == "") { $r [0] = "-" ; }
        }
       Else
        {
         $res = SQL_commande ("SELECT SUM(note) FROM vie_scolaire WHERE eleve='".$eleves [$el]."'", $id_sql) ;
         If (SQL_nbr_lignes ($res) == 1) { $r = SQL_ligne_suivante ($res) ; } Else { $r [0] = "-" ; }
         $r [0] = arrondi_note ($r [0]/($i-1), $format_arrondi) ;
         If ($r [0] == "") { $r [0] = "-" ; }
        }
       $aff_cpe [$i][0] = 0 ; // Ok
       $aff_cpe [$i][1] = $r [0] ; // Note
      }
     */
     // Parcours les disciplines
     $numero_discipline = 0 ;
     For ($j = 1 ; $j <= $groupe_disc [0][0] ; $j++)
      {
       $nombre_disc_aff = 0 ;
       For ($kk= 1 ; $kk <= $groupe_disc [$j][6] ; $kk++)
        {
	 If ($id_disc [$numero_discipline] > 0) { $mat_ok = test_matiere ($id_disc [$numero_discipline], $id_classe, $id_sc [$numero_discipline], $gp [$numero_discipline], $eleves [$el]) ; }
	 Else { $mat_ok = 1 ; }
         //echo $mat_ok."<br>" ;
         If ((integer)$mat_ok == 1)
          {
	   // Comparaison classe
	   If ($id_disc [$numero_discipline] > 0)
	    {
             //If ($compare1 == 1) { $st_dsc = stats_disc ($id_classe, $id_disc [$numero_discipline], $i, $id_sc [$numero_discipline], $id_sp [$numero_discipline], 0) ; }
	     If ($compare1 == 1) { $st_dsc = stat_moy_classe ($id_classe, $id_disc [$numero_discipline], $i, $id_sc [$numero_discipline], $id_sp [$numero_discipline]) ; }
             // Comparaison eleve
             If ($compare2 == 1)
	      {
	       If ((integer)test_matiere ($id_disc [$numero_discipline], $id_classe, $id_sc [$numero_discipline], $gp [$numero_discipline], $eleves [$comp_id_el]) == 1)
	        {
	         $comp_mat_ok [0] = 1 ;
	         $comp_mat_ok [1] = $id_sc [$numero_discipline] ;
	         $comp_mat_ok [2] = $id_sp [$numero_discipline] ;
	         $comp_mat_ok [3] = $gp [$numero_discipline] ;
	        }
	       Else { $comp_mat_ok = test_discipline ($id_disc [$numero_discipline], $id_classe, $eleves [$comp_id_el]) ; }
	      }
	    }
	   // Elabore le test pour le graphe
	   $test_graphe = 0 ;
           If ($compare0 == 1)
            {
	     // Periodes
             If ($compare1 == 1)
              {
               // Periodes + Classe
               If ($compare2 == 1)
                {
    	         // Periodes + Classe + Eleve
	         If ($i <= $periode_actuelle) { $test_graphe = 1 ; }
	        }
               Else
                {
	         // Periodes + Classe
	         If ($i <= $periode_actuelle) { $test_graphe = 1 ; }
	        }
              }
             Else
              {
               If ($compare2 == 1)
                {
    	         // Periodes + Eleve
	         If ($i <= $periode_actuelle) { $test_graphe = 1 ; }
	        }
               Else
                {
	         // Periodes
	         If ($i <= $periode_actuelle) { $test_graphe = 1 ; }
	        }
              }
            }
           Else
            {
             // Pas de comparaison de periodes
             If ($compare1 == 1)
              {
               If ($compare2 == 1)
                {
	         // Classe + Eleve
	         If ($i == $periode) { $test_graphe = 1 ; }
	        }
               Else
                {
	         // Classe
	         If ($i == $periode) { $test_graphe = 1 ; }
	        }
              }
             Else
              {
               If ($compare2 == 1)
                {
	         // Eleve
	         If (($i == $periode) And ($comp_mat_ok [0] == 1)) { $test_graphe = 1 ; }
	        }
               Else
                {
	         // Rien
	         If ($i == $periode) { $test_graphe = 1 ; }
	        }
              }
            }
           $m [$numero_discipline][0] = 1 ;
           If ($ok == 0)
            {
	     If ($i <= $periode_actuelle)
	      {
	       // Ecriture de la cellule gauche : Nom periode + numero periode
               $ligne_periode [$num_ligne]  = "<tr bgcolor=\"".$theme [0][($num_ligne-1)%2+46]."\"" ;
	       //If ($droit_courant != $droit_prof) { If ($num_ligne%2 == 0) { $ligne_periode [$num_ligne] .= " bgcolor=\"".$l ["nom"]."\"" ; } }
	       $ligne_periode [$num_ligne] .= "><td align=\"right\">&nbsp;".StrToUpper (SubStr ($nom_p, 0, 1)).SubStr ($nom_p, 1, StrLen ($nom_p)-1)."&nbsp;".$i."&nbsp;</td>" ;
	       $ok = 1 ;
              }
             If ((($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))
	      {
	       If ($passe_ok == 0) { $passe_ok = 1 ; $num_p_ligne++ ; }
	       $ligne_fiche_0 .= "\$nom_periode[".$num_p_ligne."]=\"".$nom_p."\";\n" ;
	       $ligne_fiche_0 .= "\$num_periode[".$num_p_ligne."]=\"".$i."\";\n" ;
	      }
	    }
	   // Affichage entete disciplines
           If ($okd == 0)
            {
	     $nombre_disc_aff++ ;
             $ligne_disc_2 .= "<td align=\"center\" valign=\"top\">&nbsp;".$disc [$numero_discipline] ;
	     If (($id_sd [$numero_discipline]) Or ($aff_coeff))
	      {
	       $ligne_disc_2 .= "<font size=\"-3\">" ;
  	       If ($id_sd [$numero_discipline]) { $ligne_disc_2 .= "<br>&nbsp;".$nom_sd [$numero_discipline]."&nbsp;" ; }
  	       If ($aff_coeff) { $ligne_disc_2 .= "<br>C&oelig;ff&nbsp;:&nbsp;<b>".Str_Replace (".", ",", $moy_coeff [$numero_discipline])."</b>" ; }
	       $ligne_disc_2 .= "</font>" ;
	      }
	     $ligne_disc_2 .= "</td>" ;
            }
	   // Recherche de la moyenne eleve par discipline et par periode
	   If ($id_disc [$numero_discipline] > 0) { $m [$numero_discipline][$i] = moyenne_el ($eleves [$el], $id_classe, $i, $id_disc [$numero_discipline], $id_sc [$numero_discipline], $id_sp [$numero_discipline], 0, NOTE_MOY_ELEVE_DISC) ; }
	   Else
	    {
	     If ($i <= $nbr_periode)
              {
               $res = SQL_commande ("SELECT note FROM vie_scolaire WHERE eleve='".$eleves [$el]."' AND periode='".$i."' LIMIT 1", $id_sql) ;
               If (SQL_nbr_lignes ($res) == 1) { $r = SQL_ligne_suivante ($res) ; } Else { $r [0] = $code_aucune_note ; }
               If ($r [0] == "") { $r [0] = $code_aucune_note ; }
              }
             Else
              {
               $res = SQL_commande ("SELECT SUM(note) FROM vie_scolaire WHERE eleve='".$eleves [$el]."'", $id_sql) ;
               If (SQL_nbr_lignes ($res) == 1) { $r = SQL_ligne_suivante ($res) ; } Else { $r [0] = $code_aucune_note ; }
	       If (Is_Numeric ($r [0])) { $r [0] = arrondi_note ($r [0]/($i-1), $format_arrondi) ; } Else { $r [0] = $code_aucune_note ; }
              }
	     $m [$numero_discipline][$i] = $r [0] ;
	    }
           // Comparaison
           If (($compare2 == 1) And ($comp_mat_ok [0] == 1))
	    {
	     $comp_m [$numero_discipline][$i] = moyenne_el ($eleves [$comp_id_el], $id_classe, $i, $id_disc [$numero_discipline], $comp_mat_ok [1], $comp_mat_ok [2], 0, NOTE_MOY_ELEVE_DISC) ;
	    }
           
           If (($m [$numero_discipline][$i] != $code_aucune_note) And ($m [$numero_discipline][$i] != $code_pas_discipline) And ($m [$numero_discipline][$i] != $code_dispense))
            {
	     If ($optionnelle [$numero_discipline] == 0)
	      {
	       $moyenne_nc [$i] += $m [$numero_discipline][$i] ;
	       $nbr_moy_nc [$i]++ ;
	       $moyenne_c [$i] += $m [$numero_discipline][$i]*$moy_coeff [$numero_discipline] ;
	       $nbr_moy_c [$i] += $moy_coeff [$numero_discipline] ;
	       
	       // Moy eleve
	       // NC groupement
               $calcul_disc [$i][$j][1] += $m [$numero_discipline][$i] ;
	       $calcul_disc [$i][$j][2] += 1 ;
               // C groupement
               $calcul_disc [$i][$j][3] += $m [$numero_discipline][$i]*$moy_coeff [$numero_discipline] ;
	       $calcul_disc [$i][$j][4] += $moy_coeff [$numero_discipline] ;
	      }
	     
	     If ($i <= $periode_actuelle)
	      {
               If ($m [$numero_discipline][$i] >= $gestion ["max"]/2) { $couleur = "black" ; } Else { $couleur = "red" ; }
               $ligne_periode [$num_ligne] .= "<td align=\"center\"><font color=\"".$couleur."\"><b>".Str_Replace (".", ",", arrondi_note ($m [$numero_discipline][$i], $format_arrondi))."</b></font>" ;
	       // Affichage du nombre de notes
	       If (($gestion ["aff_nombre_notes"] == 1) And ($id_disc [$numero_discipline] > 0)) { $ligne_periode [$num_ligne] .= "&nbsp;(".$nbr_notes [$numero_discipline][$i].")" ; }
	       // Affichage de l'evolution
	       If (($num_ligne > 1) And ($gestion ["aff_evolution"] == 1))
	        {
	         $ligne_periode [$num_ligne] .= "&nbsp;<img src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/" ;
	         $difference = $m [$numero_discipline][$i]-$m [$numero_discipline][$num_ligne-1] ;
	         If ($difference >= $gestion ["seuil_haut"]) { $ligne_periode [$num_ligne] .= $theme [21][0] ; }
	         ElseIf (-$difference >= $gestion ["seuil_bas"]) { $ligne_periode [$num_ligne] .= $theme [21][1] ; }
	         Else { $ligne_periode [$num_ligne] .= $theme [21][2] ; }
	         $ligne_periode [$num_ligne] .= "\" border=\"0\">" ;
	        }
	       $ligne_periode [$num_ligne] .= "</td>" ;
	      }
	     If ($num_p_ligne > 1)
	      {
	       If ($discipline [$numero_discipline] == 1)
	        {
	         If ($discipline_active [$numero_discipline] == 1)
                  {
	  	   //If ((($compare2 == 1) And ($comp_mat_ok [0] == 1) And ((($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))) Or
		   //    (($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))
		   If ($test_graphe == 1)
	            {
		     If ($passe_ok == 0) { $passe_ok = 1 ; $num_p_ligne++ ; }
	             //$ligne_fiche_1 .= "\$d[".$nbr."][0]=\"".$disc [$numero_discipline]."\";\n" ;
                     $ligne_fiche_2 .= "\$d[".$nbr."][".$num_p_ligne."]=\"".$m [$numero_discipline][$i]."\";\n" ;
		     If ($compare2 == 1) { $ligne_fiche_4 .= "\$cp[".$nbr."][".$num_p_ligne."]=\"".$comp_m [$numero_discipline][$i]."\";\n" ; }
		     If ($compare1 == 1)
		      {
		       $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][0]=\"".$st_dsc ["moy"]."\";\n" ; // Moy
		       $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][1]=\"".$st_dsc ["min"]."\";\n" ; // Min
		       $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][2]=\"".$st_dsc ["max"]."\";\n" ; // Max
		      }
		     $nbr_comp++ ;
	             $nbr++ ;
		    }
                  }
                }
              }
             Else
	      {
	       If ($discipline_active [$numero_discipline] == 1)
                {
	         //If ((($compare2 == 1) And ($comp_mat_ok [0] == 1) And ((($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))) Or
	         //    (($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))
	         If ($test_graphe == 1)
	          {
		   $ligne_fiche_1 .= "\$d[".$nbr."][0]=\"".$disc [$numero_discipline]."\";\n" ;
		   If ($passe_ok == 0) { $passe_ok = 1 ; $num_p_ligne++ ; }
                   $ligne_fiche_2 .= "\$d[".$nbr."][".$num_p_ligne."]=\"".$m [$numero_discipline][$i]."\";\n" ;
		   If ($compare1 == 1)
	            {
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][0]=\"".$st_dsc ["moy"]."\";\n" ; // Moy
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][1]=\"".$st_dsc ["min"]."\";\n" ; // Min
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][2]=\"".$st_dsc ["max"]."\";\n" ; // Max
		    }
	           If ($compare2 == 1) { $ligne_fiche_4 .= "\$cp[".$nbr."][".$num_p_ligne."]=\"".$comp_m [$numero_discipline][$i]."\";\n" ; }
		   $nbr_comp++ ;
		  }
	         $discipline [$numero_discipline] = 1 ;
	         $nbr++ ;
                }
              }
            }
           Else
            {
	     If ($i <= $periode_actuelle)
	      {
  	       //$m [$numero_discipline][$i] = -1 ;
	       If ($m [$numero_discipline][$i] == $code_aucune_note) { $ligne_periode [$num_ligne] .= "<td align=\"center\">-</td>" ; }
	       Else If ($m [$numero_discipline][$i] == $code_pas_discipline) { $ligne_periode [$num_ligne] .= "<td align=\"center\">/</td>" ; }
	       Else { $ligne_periode [$num_ligne] .= "<td align=\"center\">D</td>" ; }
	      }
	     If (($num_ligne > 1) And ($discipline [$numero_discipline] == 1))
	      {
	       If ($discipline_active [$numero_discipline] == 1)
                {
	         //If ((($compare2 == 1) And ($comp_mat_ok [0] == 1) And ((($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))) Or
	         //    (($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))
	         If ($test_graphe == 1)
	          {
		   If ($passe_ok == 0) { $passe_ok = 1 ; $num_p_ligne++ ; }
	           $ligne_fiche_1 .= "\$d[".$nbr."][0]=\"".$disc [$numero_discipline]."\";\n" ;
	           $ligne_fiche_2 .= "\$d[".$nbr."][".$num_p_ligne."]=\"0\";\n" ;
	           If ($compare2 == 1) { $ligne_fiche_4 .= "\$cp[".$nbr."][".$num_p_ligne."]=\"0\";\n" ; }
		   If ($compare1 == 1)
	            {
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][0]=\"".$st_dsc ["moy"]."\";\n" ; // Moy
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][1]=\"".$st_dsc ["min"]."\";\n" ; // Min
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][2]=\"".$st_dsc ["max"]."\";\n" ; // Max
	  	    }
		   $nbr_comp++ ;
	           $nbr++ ;
	          }
                }
              }
             Else
	      {
	       If ($discipline_active [$numero_discipline] == 1)
                {
	         //If ((($compare2 == 1) And ($comp_mat_ok [0] == 1) And ((($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))) Or
	         //    (($compare0 == 0) And ($i == $periode)) Or (($compare0 == 1) And ($i <= $periode_actuelle)))
	         If ($test_graphe == 1)
	          {
		   If ($passe_ok == 0) { $passe_ok = 1 ; $num_p_ligne++ ; }
                   $ligne_fiche_1 .= "\$d[".$nbr."][0]=\"".$disc [$numero_discipline]."\";\n" ;
	           $ligne_fiche_2 .= "\$d[".$nbr."][".$num_p_ligne."]=\"0\";\n" ;
	           If ($compare2 == 1) { $ligne_fiche_4 .= "\$cp[".$nbr."][".$num_p_ligne."]=\"0\";\n" ; }
		   If ($compare1 == 1)
		    {
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][0]=\"".$st_dsc ["moy"]."\";\n" ; // Moy
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][1]=\"".$st_dsc ["min"]."\";\n" ; // Min
		     $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][2]=\"".$st_dsc ["max"]."\";\n" ; // Max
		    }
		   $nbr_comp++ ;
	           $nbr++ ;
		  }
	         $discipline [$numero_discipline] = 1 ;
                }
	      }
	     $m [$numero_discipline][$i] = -1 ;
	    }
           $compteur++ ;
          }
         Else
          {
           $m [$numero_discipline][0] = -1 ;
          }
	 $numero_discipline++ ;
	}
       // Affichage du nom et coefficient du groupement
       If ($aff_nom_groupe == 1)
        {
	 // Entete groupement discipline
         If ($okd == 0)
          {
	   $ligne_disc_1 .= "<td colspan=\"".($nombre_disc_aff+1+(($aff_coeff == 1) And ($aff_moy_coeff == 1)))."\" bgcolor=\"".$theme [26][$j%$theme [26][0]+1]."\">" ;
           If ($groupe_disc [$j][1] != "") { $ligne_disc_1 .= "&nbsp;<b>".$groupe_disc [$j][1]." - C&oelig;ff. ".Str_Replace (".",",",$groupe_disc [$j][4])."</b>&nbsp;" ; }
           Else { $ligne_disc_1 .= "&nbsp;<b>Sans groupe - C&oelig;ff. 1,00</b>&nbsp;" ; }
	   $ligne_disc_1 .= "</td>" ;
	   $ligne_disc_2 .= "<td align=\"center\" valign=\"top\" bgcolor=\"".$theme [26][$j%$theme [26][0]+1]."\">&nbsp;<b>Moy.</b>&nbsp;</td>" ;
	   If (($aff_coeff == 1) And ($aff_moy_coeff == 1)) { $ligne_disc_2 .= "<td align=\"center\" valign=\"top\" bgcolor=\"".$theme [26][$j%$theme [26][0]+1]."\">&nbsp;<b>Moy.&nbsp;<br>&nbsp;c&oelig;ff.</b>&nbsp;</td>" ; }
	  }
	 // Calcul moyennes groupement
	 If ($calcul_disc [$i][$j][2] > 0)
	  {
	   $moy_groupe_nc [$i][$j] = $calcul_disc [$i][$j][1]/$calcul_disc [$i][$j][2] ;
	   // NC annee
           $calcul_disc [$i][$j][5] += $moy_groupe_nc [$i][$j] ;
	   $calcul_disc [$i][$j][6] += 1 ;
	  } Else { $moy_groupe_nc [$j] = "-" ; }
	 If ($calcul_disc [$i][$j][4] > 0)
	  {
	   $moy_groupe_c [$i][$j] = $calcul_disc [$i][$j][3]/$calcul_disc [$i][$j][4] ;
	   // C annee
           $calcul_disc [$i][$j][7] += $moy_groupe_c [$i][$j] ; 
	   $calcul_disc [$i][$j][8] += 1 ;
	  } Else { $moy_groupe_c [$j] = "-" ; }
         // Affichage des moyennes du groupement
	 If ($moy_groupe_nc [$i][$j] >= $gestion ["max"]/2) { $couleur = "black" ; } Else { $couleur = "red" ; }
         $ligne_periode [$num_ligne] .= "<td align=\"center\" bgcolor=\"".$theme [26][$j%$theme [26][0]+1]."\"><font color=\"".$couleur."\"><b>".Str_Replace (".", ",", arrondi_note ($moy_groupe_nc [$i][$j], $format_arrondi))."</b></font></td>" ;
	 If (($aff_coeff == 1) And ($aff_moy_coeff == 1))
	  {
	   If ($moy_groupe_c [$i][$j] >= $gestion ["max"]/2) { $couleur = "black" ; } Else { $couleur = "red" ; }
	   $ligne_periode [$num_ligne] .= "<td align=\"center\" bgcolor=\"".$theme [26][$j%$theme [26][0]+1]."\"><font color=\"".$couleur."\"><b>".Str_Replace (".", ",", arrondi_note ($moy_groupe_c [$i][$j], $format_arrondi))."</b></font></td>" ;
	  }
	}
      }
     // Derniere discipline
     If ($okd == 0)
      {
       // Discipline CPE
       /*
       If (($gestion ["bulletin_cpe"] == 3) Or ($gestion ["bulletin_cpe"] == 4))
        {
         $ligne_disc_2 .= "<td align=\"center\" valign=\"top\">&nbsp;CPE&nbsp;<br><font size=\"-3\">C&oelig;ff&nbsp;:&nbsp;<b>".Str_Replace (".", ",", $gestion ["coefficient_vs"])."</b></font></td>" ;
        }
       */
       If ($aff_moy_gene == 1)
        {
	 $ligne_disc_1 .= "<td align=\"center\" valign=\"top\" colspan=\"".(1+(($aff_coeff == 1) And ($aff_moy_coeff == 1)))."\">&nbsp;<b>Moyennes</b>&nbsp;</td>" ;
	 $ligne_disc_2 .= "<td align=\"center\" valign=\"top\">&nbsp;<b>Moy.</b>&nbsp;</td>" ;
	}
       If (($aff_coeff == 1) And ($aff_moy_coeff == 1))
        {
	 $ligne_disc_2 .= "<td align=\"center\" valign=\"top\">&nbsp;<b>Moy.&nbsp;<br>&nbsp;c&oelig;ff.</b>&nbsp;</td>" ;
	}
       $okd = 1 ;
      }
     
     // Discipline CPE
     /*
     If ((($gestion ["bulletin_cpe"] == 3) Or ($gestion ["bulletin_cpe"] == 4)) And ($aff_cpe [$i][0] == 0))
      {
       $ligne_periode [$num_ligne] .= "<td align=\"center\">" ;
       If (Is_Numeric ($aff_cpe [$i][1]))
        {
         $ligne_fiche_1 .= "\$d[".$nbr."][0]=\"CPE\";\n" ;
         $ligne_fiche_2 .= "\$d[".$nbr."][".$num_p_ligne."]=\"".arrondi_note ($aff_cpe [$i][1], $format_arrondi)."\";\n" ;
         $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][0]=\"".arrondi_note ($aff_cpe [0][$i*3-3], $format_arrondi)."\";\n" ;
         $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][1]=\"".arrondi_note ($aff_cpe [0][$i*3-2], $format_arrondi)."\";\n" ;
         $ligne_fiche_3 .= "\$cc[".$nbr."][".$num_p_ligne."][2]=\"".arrondi_note ($aff_cpe [0][$i*3-1], $format_arrondi)."\";\n" ;
         $moyenne_nc [$i] += $aff_cpe [$i][1] ;
         $nbr_moy_nc [$i]++ ;
         $moyenne_c [$i] += $gestion ["coefficient_vs"]*$aff_cpe [$i][1] ;
         $nbr_moy_c [$i] += $gestion ["coefficient_vs"] ;
         If ($aff_cpe [$i][1] >= 10) { $couleur = "black" ; } Else { $couleur = "red" ; }
         $ligne_periode [$num_ligne] .= "<font color=\"".$couleur."\"><b>".Str_Replace (".", ",", arrondi_note ($aff_cpe [$i][1], $format_arrondi))."</b></font>" ;
	 // Affichage de l'evolution
         If (($num_ligne > 1) And ($gestion ["aff_evolution"] == 1))
          {
	   If (Is_Numeric ($aff_cpe [$i-1][1]))
            {
             $ligne_periode [$num_ligne] .= "&nbsp;<img src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/" ;
             $difference = $aff_cpe [$i][1]-$aff_cpe [$i-1][1] ;
             If ($difference >= $gestion ["seuil_haut"]) { $ligne_periode [$num_ligne] .= $theme [21][0] ; }
             ElseIf (-$difference >= $gestion ["seuil_bas"]) { $ligne_periode [$num_ligne] .= $theme [21][1] ; }
             Else { $ligne_periode [$num_ligne] .= $theme [21][2] ; }
             $ligne_periode [$num_ligne] .= "\" border=\"0\">" ;
	    }
          }
	 $nbr++ ;
	}
       Else { $ligne_periode [$num_ligne] .= "-" ; }
       $ligne_periode [$num_ligne] .= "</td>" ;
       $aff_cpe [$i][0] = 1 ;
      }
     */
     If ($i != $nbr_periode+1)
      {
       // Moyenne non coefficientee
       If ($aff_moy_gene == 1)
        {
         $ligne_periode [$num_ligne] .= "<td align=\"center\"><font color=\"" ;
         If ($nbr_moy_nc [$i] > 0)
          {
	   If (($gestion ["moyenne_periode"] == 0) Or ($aff_nom_groupe == 0)) { $moy_nc [$i] = arrondi_note ($moyenne_nc [$i]/$nbr_moy_nc [$i], $format_arrondi) ; }
	   Else
	    {
	     // Moyenne des moyennes des groupes de disciplines
	     $moync = $moyc = $cnc = $cc = 0 ;
             For ($j = 1 ; $j <= $groupe_disc [0][0] ; $j++)
              {
	       If (Is_numeric ($moy_groupe_nc [$i][$j])) { $moync += $moy_groupe_nc [$i][$j] ; $cnc += 1 ; }
              }
             If ($cnc > 0) { $moy_nc [$i] = Str_Replace (".", ",", arrondi_note ($moync/$cnc, $format_arrondi)) ; } Else { $moy_nc [$i] = "-" ; }
	    }
           If ($moy_nc [$i] >= 10) { $ligne_periode [$num_ligne] .= "black\"" ; } Else { $ligne_periode [$num_ligne] .= "red\"" ; }
           $ligne_periode [$num_ligne] .= "><b>".Str_Replace (".", ",", $moy_nc [$i])."</b></font>" ;
           // Affichage de l'evolution
           If (($num_ligne > 1) And ($gestion ["aff_evolution"] == 1))
            {
             $ligne_periode [$num_ligne] .= "&nbsp;<img src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/" ;
             $difference = $moy_nc [$i]-$moy_nc [$num_ligne-1] ;
             If ($difference >= $gestion ["seuil_haut"]) { $ligne_periode [$num_ligne] .= $theme [21][0] ; }
             ElseIf (-$difference >= $gestion ["seuil_bas"]) { $ligne_periode [$num_ligne] .= $theme [21][1] ; }
             Else { $ligne_periode [$num_ligne] .= $theme [21][2] ; }
             $ligne_periode [$num_ligne] .= "\" border=\"0\">" ;
            }
          }
         Else { $ligne_periode [$num_ligne] .= "black\">-</font>" ; }
         $ligne_periode [$num_ligne] .= "</td>" ;
        }
       // Moyenne coefficientee
       If (($aff_coeff == 1) And ($aff_moy_coeff == 1))
        {
         $ligne_periode [$num_ligne] .= "<td align=\"center\"><font color=\"" ;
         If ($nbr_moy_c [$i] > 0)
          {
	   If (($gestion ["moyenne_periode"] == 0) Or ($aff_nom_groupe == 0)) { $moy_c [$i] = arrondi_note ($moyenne_c [$i]/$nbr_moy_c [$i], $format_arrondi) ; }
	   Else
	    {
	     // Moyenne des moyennes des groupes de disciplines
	     $moyc = $cc = 0 ;
             For ($j = 1 ; $j <= $groupe_disc [0][0] ; $j++)
              {
               If (Is_numeric ($moy_groupe_c [$i][$j])) { $moyc += $moy_groupe_c [$i][$j]*$groupe_disc [$j][4] ; $cc += $groupe_disc [$j][4] ; }
              }
             If ($cc > 0) { $moy_c [$i] = Str_Replace (".", ",", arrondi_note ($moyc/$cc, $format_arrondi)) ; } Else { $moy_c [$i] = "-" ; }
	    }
           If ($moy_c [$i] >= 10) { $ligne_periode [$num_ligne] .= "black\"" ; } Else { $ligne_periode [$num_ligne] .= "red\"" ; }
           $ligne_periode [$num_ligne] .= "><b>".Str_Replace (".", ",", $moy_c [$i])."</b></font>" ;
           // Affichage de l'evolution
           If (($num_ligne > 1) And ($gestion ["aff_evolution"] == 1))
            {
             $ligne_periode [$num_ligne] .= "&nbsp;<img src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/" ;
             $difference = $moy_c [$i]-$moy_c [$num_ligne-1] ;
             If ($difference >= $gestion ["seuil_haut"]) { $ligne_periode [$num_ligne] .= $theme [21][0] ; }
             ElseIf (-$difference >= $gestion ["seuil_bas"]) { $ligne_periode [$num_ligne] .= $theme [21][1] ; }
             Else { $ligne_periode [$num_ligne] .= $theme [21][2] ; }
             $ligne_periode [$num_ligne] .= "\" border=\"0\">" ;
            }
          }
         Else { $ligne_periode [$num_ligne] .= "black\">-</font>" ; }
         $ligne_periode [$num_ligne] .= "</td>" ;
        }
       $ligne_periode [$num_ligne] .= "</tr>" ;
      }
     If ($nbr_donnees < $nbr) { $nbr_donnees = $nbr ; }
    }
  }
 If ($aff_nom_groupe == 1) { $ligne_disc .= $ligne_disc_1."</tr><tr bgcolor=\"".$theme [0][45]."\">".$ligne_disc_2."</tr>" ; } Else { $ligne_disc .= $ligne_disc_2."</tr>" ; }
 // Envoi sur ecran des donnees
 Echo $ligne_disc ;
 For ($i = 1 ; $i <= $num_ligne ; $i++)
  {
   Echo $ligne_periode [$i] ;
  }
 // Calcul moyenne
 //If (($compare0 == 1) And ($periode < $periode_actuelle)) { $periode = $periode_actuelle ; }
 If ($periode_actuelle > 1)
  {
   If ($periode == $nbr_periode+1)
    {
     $nbr = 0 ;
     $num_ligne++ ;
     $num_p_ligne++ ;
     $ligne_fiche_0 .= "\$nom_periode[".$num_p_ligne."]=\"ann&eacute;e\";\n" ;
     $ligne_fiche_0 .= "\$num_periode[".$num_p_ligne."]=\"\";\n" ;
    }
   Echo "<tr bgcolor=\"".$theme [0][48]."\">" ;
   Echo "<td align=\"center\">&nbsp;Moyennes<br>Disciplinaires&nbsp;</td>" ;
   // Parcours les disciplines
   $numero_discipline = 0 ;
   For ($j = 1 ; $j <= $groupe_disc [0][0] ; $j++)
    {
     For ($kk= 1 ; $kk <= $groupe_disc [$j][6] ; $kk++)
      {
       If ($m [$numero_discipline][0] == 1)
        {
         $moy1 = 0 ;
         $moy2 = 0 ;
         $nbr_moy = 0 ;
         $comp_moy1 = 0 ;
         $comp_moy2 = 0 ;
         $comp_nbr_moy = 0 ;
         For ($num_periode = 1 ; $num_periode <= $periode ; $num_periode++)
          {
           If (($num_periode <= $periode_actuelle) And (Is_Numeric ($m [$numero_discipline][$num_periode])) And ($m [$numero_discipline][$num_periode] >= 0))
            {
  	     $moy1 += $m [$numero_discipline][$num_periode] ;
  	     $nbr_moy++ ;
            }
	   If (($compare2 == 1) And ($num_periode <= $periode_actuelle) And (Is_Numeric ($comp_m [$numero_discipline][$num_periode])) And ($comp_m [$numero_discipline][$num_periode] >= 0))
            {
  	     $comp_moy1 += $comp_m [$numero_discipline][$num_periode] ;
  	     $comp_nbr_moy++ ;
            }
          }
         If ($nbr_moy > 0)
          {
           If (IsSet ($coeff) And ($coeff [$numero_discipline] > 0)) { $moy2 = $moy1/($coeff [$numero_discipline]*$nbr_moy) ; } Else { $moy2 = $moy1/$nbr_moy ; }
           $moy3 = arrondi_note ($moy2, $format_arrondi) ; //Round ($moy2, 2) ;
           If ($moy3 >= 10) { $couleur = "black" ; } Else { $couleur = "red" ; }
           Echo "<td align=\"center\"><div style=\"color:".$couleur."\"><b>".Str_Replace (".", ",", $moy3)."</b></div></td>" ;
	   If ($periode > $nbr_periode)
	    {
	     If ($compare2 == 1)
	      {
	       If ($coeff [$numero_discipline] > 0) { $comp_moy2 = $comp_moy1/($coeff [$numero_discipline]*$comp_nbr_moy) ; }
               ElseIf ($comp_nbr_moy > 0) { $comp_moy2 = $comp_moy1/$comp_nbr_moy ; }
	       Else { $comp_moy2 = 0 ; }
               $comp_moy3 = arrondi_note ($comp_moy2, $format_arrondi) ; //Round ($comp_moy2, 2) ;
	      }
	     If ($discipline [$numero_discipline] == 1)
              {
               $ligne_fiche_2 .= "\$d[".$nbr."][".$num_p_ligne."]=\"".$moy3."\";\n" ;
	       If ($compare2 == 1) { $ligne_fiche_4 .= "\$cp[".$nbr."][".$num_p_ligne."]=\"".$comp_moy3."\";\n" ; }
	       $nbr++ ;
              }
	    }
          }
         Else { Echo "<td align=\"center\">&nbsp;-&nbsp;</td>" ; }
        }
       $numero_discipline++ ;
      }
     // Affichage du nom et coefficient du groupement
     If ($aff_nom_groupe == 1)
      {
       // Calcul moyennes groupement annee
       $moy_groupe_annee_nc [$j] = $moy_groupe_annee_c [$j] = 0 ;
       $coeff_groupe_annee_nc [$j] =  $coeff_groupe_annee_c [$j] = 0 ;
       For ($num_periode = 1 ; $num_periode <= $periode ; $num_periode++)
        {
         If ($calcul_disc [$num_periode][$j][6] > 0) { $moy_groupe_annee_nc [$j] += $calcul_disc [$num_periode][$j][5]/$calcul_disc [$num_periode][$j][6] ; $coeff_groupe_annee_nc [$j] += 1 ; }
         If ($calcul_disc [$num_periode][$j][8] > 0) { $moy_groupe_annee_c [$j] += $calcul_disc [$num_periode][$j][7]/$calcul_disc [$num_periode][$j][8] ; $coeff_groupe_annee_c [$j] += 1 ; }
	}
       If ($coeff_groupe_annee_nc [$j] > 0) { $moy_groupe_annee_nc [$j] /= $coeff_groupe_annee_nc [$j] ; } Else { $moy_groupe_annee_nc [$j] = "-" ; }
       If ($coeff_groupe_annee_c [$j] > 0) { $moy_groupe_annee_c [$j] /= $coeff_groupe_annee_c [$j] ; } Else { $moy_groupe_annee_nc [$j] = "-" ; }
       // Moyennes groupement
       If ($moy_groupe_annee_nc [$j] >= $gestion ["max"]/2) { $couleur = "black" ; } Else { $couleur = "red" ; }
       Echo "<td align=\"center\" bgcolor=\"".$theme [26][$j%$theme [26][0]+1]."\"><font color=\"".$couleur."\"><b>".Str_Replace (".", ",", arrondi_note ($moy_groupe_annee_nc [$j], $format_arrondi))."</b></font></td>" ;
       If (($aff_coeff == 1) And ($aff_moy_coeff == 1))
        {
	 If ($moy_groupe_annee_c [$j] >= $gestion ["max"]/2) { $couleur = "black" ; } Else { $couleur = "red" ; }
	 Echo "<td align=\"center\" bgcolor=\"".$theme [26][$j%$theme [26][0]+1]."\"><font color=\"".$couleur."\"><b>".Str_Replace (".", ",", arrondi_note ($moy_groupe_annee_c [$j], $format_arrondi))."</b></font></td>" ;
        }
      }
    }
   // Discipline CPE
   /*
   If (($gestion ["bulletin_cpe"] == 3) Or ($gestion ["bulletin_cpe"] == 4))
    {
     $moy_cpe = 0 ;
     $ok = 0 ;
     For ($i = 1 ; $i <= $periode ; $i++)
      {
       If (Is_Numeric ($aff_cpe [$i][1])) { $moy_cpe += $aff_cpe [$i][1] ; $ok = 1 ; }
      }
     Echo "<td align=\"center\">" ;
     If ($ok == 1)
      {
       $moy_cpe = arrondi_note ($moy_cpe/$periode, $format_arrondi) ; //Round ($moy_cpe/$periode, 2) ;
       If ($moy_cpe >= 10) { $couleur = "black" ; } Else { $couleur = "red" ; }
       Echo "<div style=\"color: ".$couleur."\"><b>".Str_Replace (".", ",", $moy_cpe)."</b></div>" ;
       If ($compare2 == 1)
        {
         For ($i = 1 ; $i <= $periode ; $i++)
          {
           $res = SQL_commande ("SELECT note FROM vie_scolaire WHERE eleve='".$eleves [$comp_id_el]."' AND periode='".$i."' LIMIT 1", $id_sql) ;
           If (SQL_nbr_lignes ($res) == 1) { $r = SQL_ligne_suivante ($res) ; } Else { $r [0] = 0 ; }
           If ($r [0] == "") { $r [0] = 0 ; }
           $ligne_fiche_4 .= "\$cp[".($nbr_donnees-1)."][".$i."]=\"".$r [0]."\";\n" ;
          }
        }
      }
     Echo "</td>" ;
    }
   */
   $moy_g_nc = 0 ;
   $c_nc = 0 ;
   $c_c = 0 ;
   $moy_g_c = 0 ;
   If (($gestion ["moyenne_periode"] == 0) Or ($aff_nom_groupe == 0))
    {
     // Moyenne des moyennes periodiques
     For ($i = 1 ; $i <= $periode ; $i++)
      {
       If ($nbr_moy_nc [$i]>0) { $moy_g_nc += $moyenne_nc [$i]/$nbr_moy_nc [$i] ; $c_nc++ ; }
       If (($aff_coeff == 1) And ($nbr_moy_c [$i]>0)) { $moy_g_c += $moyenne_c [$i]/$nbr_moy_c [$i] ; $c_c++ ; }
      }
     If ($c_nc > 0) { $moy_g_nc = Str_Replace (".", ",", arrondi_note ($moy_g_nc/$c_nc, $format_arrondi)) ; } Else { $moy_g_nc = "" ; }
     If (($aff_coeff == 1) And ($c_c > 0)) { $moy_g_c = Str_Replace (".", ",", arrondi_note ($moy_g_c/$c_c, $format_arrondi)) ; } Else { $moy_g_c = "" ; }
     If ($moy_g_nc >= 10) { $coul_nc = "black" ; } Else { $coul_nc = "red" ; }
    }
   Else
    {
     // Moyenne des moyennes des groupes de disciplines
     For ($j = 1 ; $j <= $groupe_disc [0][0] ; $j++)
      {
       If (Is_numeric ($moy_groupe_annee_nc [$j])) { $moy_g_nc += $moy_groupe_annee_nc [$j] ; $c_nc++ ; }
       If (Is_numeric ($moy_groupe_annee_c [$j])) { $moy_g_c += $moy_groupe_annee_c [$j]*$groupe_disc [$j][4] ; $c_c += $groupe_disc [$j][4] ; }
      }
     If ($c_nc > 0) { $moy_g_nc = Str_Replace (".", ",", arrondi_note ($moy_g_nc/$c_nc, $format_arrondi)) ; } Else { $moy_g_nc = "-" ; }
     If ($c_c > 0) { $moy_g_c = Str_Replace (".", ",", arrondi_note ($moy_g_c/$c_c, $format_arrondi)) ; } Else { $moy_g_c = "-" ; }
    }
   If (($aff_coeff == 1) And ($moy_g_c >= 10)) { $coul_c = "black" ; } Else { $coul_c = "red" ; }
   If ($aff_moy_gene == 1) { Echo "<td align=\"center\"><b><font color=\"".$coul_nc."\">".$moy_g_nc."</font></b></td>" ; }
   If ($aff_coeff == 1) { Echo "<td align=\"center\"><b><font color=\"".$coul_c."\">".$moy_g_c."</font></b></td>" ; }
   Echo "</tr>" ;
  }
 Else
  {
   $moy_g_nc = Str_Replace (".", ",", $moy_nc [1]) ;
   $moy_g_c = Str_Replace (".", ",", $moy_c [1]) ;
  }
 Echo "</table>" ;
 //echo $fichier."<br>".$ligne_fiche_0."<br>".$ligne_fiche_1."<br>".$ligne_fiche_2."<br>".$nbr_donnees."<br>" ;
 
 FPuts ($fiche, "\$nom=\"".conversion_utf8_ascii ($noms [$el])."\";\n") ;
 FPuts ($fiche, "\$prenoms=\"".conversion_utf8_ascii ($prenoms [$el])."\";\n") ;
 FPuts ($fiche, "// Def graphe\n") ;
 FPuts ($fiche, "\$type_graphique=".$type_graphique.";\n") ;
 FPuts ($fiche, "\$largeur_graphe=".$largeur_graphe.";\n") ;
 FPuts ($fiche, "\$hauteur_graphe=".$hauteur_graphe.";\n") ;
 FPuts ($fiche, "\$pas=".$pas.";\n") ;
 FPuts ($fiche, "\$quad_h=".$quad_h.";\n") ;
 FPuts ($fiche, "\$quad_v=".$quad_v.";\n") ;
 FPuts ($fiche, $ligne_fiche_0) ;
 FPuts ($fiche, $ligne_fiche_1) ;
 FPuts ($fiche, $ligne_fiche_2) ;
 FPuts ($fiche, "\$compare0=".$compare0.";\n") ;
 FPuts ($fiche, "\$compare1=".$compare1.";\n") ;
 If ($compare1 == 1) { FPuts ($fiche, $ligne_fiche_3) ; }
 If (($compare2 == 1) And ($nbr_comp > 0) And ($comp_id_el != $el))
  {
   FPuts ($fiche, "\$compare2=1;\n") ;
   FPuts ($fiche, $ligne_fiche_4) ;
   FPuts ($fiche, "\$comp_nom=\"".$noms [$comp_id_el]."\";\n") ;
   FPuts ($fiche, "\$comp_prenoms=\"".$prenoms [$comp_id_el]."\";\n") ;
  }
 Else { FPuts ($fiche, "\$compare2=0;\n") ; }
 FPuts ($fiche, "\$nbr_donnees=".($nbr_donnees-1).";\n") ;
 FPuts ($fiche, "\$nbr_periodes=".$num_p_ligne.";\n") ;
 FPuts ($fiche, "// Fin des donnees\n") ;
 FPuts ($fiche, "\$y_maximum=".$gestion ["max"].";\n") ;
 FPuts ($fiche, "\$ind_40=".$ind_40.";\n") ;
 FPuts ($fiche, "\$ind_60=".$ind_60.";\n") ;
 FPuts ($fiche, "\$generation=1;\n") ;
 FPuts ($fiche, "\$nom_fichier=\"\";\n") ;
 FPuts ($fiche, "?".">") ;
 FClose ($fiche) ;
 // Sauvegarde des parametres utilisateur
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","type_graphique",$type_graphique) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","largeur_graphe",$largeur_graphe) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","hauteur_graphe",$hauteur_graphe) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","pas",$pas) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","quad_h",$quad_h) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","quad_v",$quad_v) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","compare0",$compare0) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","compare1",$compare1) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","compare2",$compare2) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","comp_id_el",$comp_id_el) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","ind_40",$ind_40) ;
 sauvegarde_configuration ($professeur."_".$identifiant,"bilan_eleve","ind_60",$ind_60) ;
 
 Include ("../include/fin_theme.inc") ;
 
 If (($droit_courant != $droit_eleve) And ($droit_courant != $droit_prof) And ($periode_actuelle > 1))
  {
   //If (!IsSet ($comp_id_el)) { $comp_id_el = 0 ; }
   Echo "<FORM ACTION=\"./bilan_eleve.php\" METHOD=\"POST\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"el\" VALUE=\"".($el-2)."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"pas\" VALUE=\"".$pas."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"type_graphique\" VALUE=\"".$type_graphique."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"largeur_graphe\" VALUE=\"".$largeur_graphe."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"hauteur_graphe\" VALUE=\"".$hauteur_graphe."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_h\" VALUE=\"".$quad_h."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_v\" VALUE=\"".$quad_v."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare0\" VALUE=\"".$compare0."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare1\" VALUE=\"".$compare1."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare2\" VALUE=\"".$compare2."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_40\" VALUE=\"".$ind_40."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_60\" VALUE=\"".$ind_60."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"comp_id_el\" VALUE=\"".$comp_id_el."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"etat_fenetre\" VALUE=\"".$etat_fenetre."\">" ;
   Echo "<input type=\"hidden\" NAME=\"SUBMIT\" VALUE=\"Choisir\">" ;
   Echo "<CENTER><SELECT NAME=\"periode\">" ;
   For ($i = 1 ; $i <= $periode_actuelle ; $i++)
    {
     Echo "<OPTION VALUE=\"".$i."\"";
     If ($periode == $i) { Echo " SELECTED" ; }
     Echo ">P&eacute;riode&nbsp;".$i."</OPTION>" ;
    }
   Echo "</SELECT><INPUT TYPE=\"IMAGE\" SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][0]."\"></FORM></CENTER>" ;
  }
 
 Echo "<TABLE BORDER=\"0\" ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\" VALIGN=\"TOP\">" ;
 Echo "<TR><TD COLSPAN=\"4\">&nbsp;</TD></TR>" ;
 Echo "<TR><TD VALIGN=\"TOP\"></TD>" ;
 Echo "<TD>&nbsp;</TD>" ;

 Echo "<TD ALIGN=\"RIGHT\"><IMG SRC=\"../images/graphique.php?fichier=".$fichier."\" BORDER=\"1\" WIDTH=\"".$largeur_graphe."\" HEIGHT=\"".$hauteur_graphe."\" alt=\"Graphe...\"></TD>" ;
 If ($moy_g_nc >= 10) { $coul_nc = "black" ; } Else { $coul_nc = "red" ; }
 Echo "<TD VALIGN=\"TOP\" ALIGN=\"RIGHT\">" ;
 
 $pht = restaure_configuration ("PROF_".$professeur,"SAISIE","PHOTO") ;
 If ($pht == "") { $pht = 1 ; }
 If (($aff_moy_gene == 1) Or ($aff_moy_coeff ==1))
  {
   Echo "<TABLE BORDER=\"0\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"0\">" ;
   If ($aff_coeff == 1)
    {
     Echo "<TR><TD COLSPAN=\"2\" ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"+1\" COLOR=\"".$theme [0][38]."\">Moyennes&nbsp;g&eacute;n&eacute;rales&nbsp;:&nbsp;</TD></TR>" ;
     Echo "<TR><TD COLSPAN=\"2\">&nbsp;</TD></TR>" ;
     If ($aff_moy_gene == 1)
      {
       Echo "<TR><TD ALIGN=\"RIGHT\">&nbsp;Non&nbsp;C&oelig;ff.&nbsp;:&nbsp;</TD><TD><B><FONT COLOR=\"".$coul_nc."\">".$moy_g_nc."</FONT></B></TD></TR>" ;
      }
     Else { Echo "<tr><td>&nbsp;</td></tr>" ; }
     If ($aff_moy_coeff == 1)
      {
       If ($moy_g_c >= 10) { $coul_c = "black" ; } Else { $coul_c = "red" ; }
       Echo "<TR><TD COLSPAN=\"2\">&nbsp;</TD></TR>" ;
       Echo "<TR><TD ALIGN=\"RIGHT\">&nbsp;C&oelig;ff.&nbsp;:&nbsp;</TD><TD><B><FONT COLOR=\"".$coul_c."\">".$moy_g_c."</FONT></B></FONT></TD></TR>" ;
      }
     Else { Echo "<tr><td>&nbsp;</td></tr>" ; }
    }
   Else
    {
     If ($aff_moy_gene == 1)
      {
       Echo "<TR><TD COLSPAN=\"2\" ALIGN=\"CENTER\">&nbsp;<FONT SIZE=\"+1\" COLOR=\"".$theme [0][38]."\">Moyenne&nbsp;g&eacute;n&eacute;rale&nbsp;:&nbsp;</TD></TR>" ;
       Echo "<TR><TD COLSPAN=\"2\">&nbsp;</TD></TR>" ;
       Echo "<TR><TD ALIGN=\"CENTER\" COLSPAN=\"2\"><B><FONT COLOR=\"".$coul_nc."\">".$moy_g_nc."</FONT></B></TD></TR>" ;
      }
     Else { Echo "<tr><td colspan=\"2\" rownspan=\"3\">&nbsp;</td></tr>" ; }
    }
   Echo "<tr><td colspan=\"2\">&nbsp;</td></tr>" ;
   // Traitement des disciplines speciales
   $nbr_ds = SQL_nbr_lignes ($resultat_disc_spe) ;
   If ($nbr_ds > 0)
    {
     For ($i = 0 ; $i < $nbr_ds ; $i++)
      {
       $disc_spe = SQL_ligne_suivante ($resultat_disc_spe) ;
       $type_moyenne = $disc_spe [5] ;
       $m = moyenne_el ($eleves [$el],$id_classe,$periode,$disc_spe [1],$disc_spe [2],$disc_spe [3],0,NOTE_MOY_ELEVE_DISC) ;
       If ($type_moyenne == 0) { If ($m >= 10) { $coul_c = "green" ; } Else { $coul_c = "red" ; } }
       ElseIf ($type_moyenne == 1) { If ($m > 50) { $coul_c = "green" ; } Else { $coul_c = "red" ; } }
       If ($type_moyenne == 1) { $m .= "%" ; }
       Echo "<tr><td colspan=\"2\" align=\"center\">&nbsp;<font size=\"+1\" color=\"".$theme [0][38]."\">".$disc_spe [0]."</td></tr>" ;
       Echo "<tr><td colspan=\"2\">&nbsp;</td></tr>" ;
       Echo "<tr><td align=\"center\" colspan=\"2\"><b><font color=\"".$coul_c."\">".$m."</font></b></td></tr>" ;
       Echo "<tr><td colspan=\"2\">&nbsp;</td></tr>" ;
      }
    }
   If ($pht == 1) { Echo "<TR><TD COLSPAN=\"2\">&nbsp;<IMG SRC=\"".$photo [$el]."\" BORDER=\"1\" WIDTH=\"".(2*$largeur_petite_photo)."\" HEIGHT=\"".(2*$hauteur_petite_photo)."\"></TD></TR>" ; }
   Echo "</TABLE>" ;
  }
 ElseIf ($pht == 1) { Echo "&nbsp;<IMG SRC=\"".$photo [$el]."\" BORDER=\"1\" WIDTH=\"".(2*$largeur_petite_photo)."\" HEIGHT=\"".(2*$hauteur_petite_photo)."\">" ; }
 Echo "</TD>" ;
 Echo "</TR>" ;
 //Echo "</TABLE>" ;
 
 // Passage au suivant ou precedent
 If ($droit_courant != $droit_eleve)
  {
   //Echo "<TABLE BORDER=\"1\" WIDTH=\"100%\" CELLSPACING=\"0\" CELLPADDING=\"0\">" ;
   //Echo "<TR><TD HEIGHT=\"2\" COLSPAN=\"3\"></TD></TR>" ;
   If ($el > 0)
    {
     Echo "<TR>" ;
     Echo "<FORM ACTION=\"./bilan_eleve.php\" METHOD=\"POST\">" ;
     Echo "<TD ALIGN=\"CENTER\">" ;
     Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/fleche_gauche.png\" TITLE=\" &Eacute;l&egrave;ve pr&eacute;c&eacute;dent \">" ;
     Echo "<input type=\"hidden\" NAME=\"precedent\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"el\" VALUE=\"".($el-2)."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"periode\" VALUE=\"".$periode."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"pas\" VALUE=\"".$pas."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"type_graphique\" VALUE=\"".$type_graphique."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"largeur_graphe\" VALUE=\"".$largeur_graphe."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"hauteur_graphe\" VALUE=\"".$hauteur_graphe."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_h\" VALUE=\"".$quad_h."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_v\" VALUE=\"".$quad_v."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare0\" VALUE=\"".$compare0."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare1\" VALUE=\"".$compare1."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare2\" VALUE=\"".$compare2."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_40\" VALUE=\"".$ind_40."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_60\" VALUE=\"".$ind_60."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"comp_id_el\" VALUE=\"".$comp_id_el."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"etat_fenetre\" VALUE=\"".$etat_fenetre."\">" ;
     Echo "</TD>" ;
     Echo "</FORM>" ;
    }
   Else
    {
     Echo "<TD></TD>" ;
    }
   Echo "<TD></TD>" ;
   Echo "<FORM ACTION=\"./bilan_eleve.php\" NAME=\"eleve_suivant\" METHOD=\"POST\" onSubmit=\"return verif_eleve()\">" ;
   Echo "<TD ALIGN=\"CENTER\" vALIGN=\"TOP\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"periode\" VALUE=\"".$periode."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"pas\" VALUE=\"".$pas."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"type_graphique\" VALUE=\"".$type_graphique."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"largeur_graphe\" VALUE=\"".$largeur_graphe."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"hauteur_graphe\" VALUE=\"".$hauteur_graphe."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"etat_fenetre\" VALUE=\"".$etat_fenetre."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_h\" VALUE=\"".$quad_h."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_v\" VALUE=\"".$quad_v."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare0\" VALUE=\"".$compare0."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare1\" VALUE=\"".$compare1."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare2\" VALUE=\"".$compare2."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_40\" VALUE=\"".$ind_40."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_60\" VALUE=\"".$ind_60."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"comp_id_el\" VALUE=\"".$comp_id_el."\">" ;
   Echo "<input type=\"hidden\" NAME=\"submit\" VALUE=\" &Eacute;l&egrave;ve choisi \">" ;
   Echo "<SELECT NAME=\"el\">" ;
   Echo "<OPTION VALUE=\"-2\">Choix &eacute;l&egrave;ve suivant</OPTION>" ;
   If ($el < Count ($eleves)) { $s = $el + 1 ; }
   Else { $s = 1 ; }
   For ($i = 0 ; $i < Count ($eleves) ; $i++)
    {
     If ($i != $el)
      {
       Echo "<OPTION VALUE=\"".($i-1)."\"" ;
       If ((($el == Count ($eleves)-1) And ($i == 0)) Or ($i == $el+1)) { Echo " selected" ; }
       Echo ">".$noms [$i]." ".$prenoms [$i]."</OPTION>" ;
      }
    }
   Echo "</SELECT>" ;
   Echo "<INPUT TYPE=\"IMAGE\" SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][18]."\" title=\" &Eacute;l&egrave;ve choisi \">" ;
   Echo "</FORM>" ;
   Echo "</TD>" ;
   If ($el+1 < Count ($eleves))
    {
     Echo "<FORM ACTION=\"./bilan_eleve.php\" METHOD=\"POST\">" ;
     Echo "<TD ALIGN=\"CENTER\">" ;
     Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/fleche_droite.png\"TITLE=\" &Eacute;l&egrave;ve suivant \">" ;
     Echo "<input type=\"hidden\" NAME=\"suivant\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"el\" VALUE=\"".$el."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"periode\" VALUE=\"".$periode."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"pas\" VALUE=\"".$pas."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"type_graphique\" VALUE=\"".$type_graphique."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"largeur_graphe\" VALUE=\"".$largeur_graphe."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"hauteur_graphe\" VALUE=\"".$hauteur_graphe."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_h\" VALUE=\"".$quad_h."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_v\" VALUE=\"".$quad_v."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare0\" VALUE=\"".$compare0."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare1\" VALUE=\"".$compare1."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare2\" VALUE=\"".$compare2."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_40\" VALUE=\"".$ind_40."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_60\" VALUE=\"".$ind_60."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"comp_id_el\" VALUE=\"".$comp_id_el."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"etat_fenetre\" VALUE=\"".$etat_fenetre."\">" ;
     Echo "</TD>" ;
     Echo "</FORM>" ;
    }
   Else
    {
     Echo "<TD></TD>" ;
    }
   Echo "</TR>" ;
   Echo "</TABLE>" ;
  }
 
 // OUTILS --------------------------------------------------------
 Echo "<div id=\"graphe_controle\" style=\"visibility:hidden\">" ;
 $non_centrer = 1 ;
 $titre_fenetre = "Contr&ocirc;le&nbsp;du&nbsp;graphe.&nbsp;&nbsp;&nbsp;" ;
 $titre_fenetre .= "<A HREF=\"#\" onClick=\"fenetre_graphe('graphe_controle',false)\">" ;
 $titre_fenetre .= "<IMG SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][9]."\" BORDER=\"0\"></A>" ;
 Include ("../include/debut_theme.inc") ;
 Echo "<FORM ACTION=\"./bilan_eleve.php\" NAME=\"controle\" METHOD=\"POST\" onSubmit=\"javascript:return valide_changer()\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"el\" VALUE=\"".($el-1)."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"periode\" VALUE=\"".$periode."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"largeur_graphe\" VALUE=\"".$largeur_graphe."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"hauteur_graphe\" VALUE=\"".$hauteur_graphe."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"pas_largeur\" VALUE=\"1\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"pas_hauteur\" VALUE=\"1\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"type_graphique\" VALUE=\"".$type_graphique."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"etat_fenetre\" VALUE=\"".$etat_fenetre."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_h\" VALUE=\"".$quad_h."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"quad_v\" VALUE=\"".$quad_v."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare0\" VALUE=\"".$compare0."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare1\" VALUE=\"".$compare1."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"compare2\" VALUE=\"".$compare2."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_40\" VALUE=\"".$ind_40."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ind_60\" VALUE=\"".$ind_60."\">" ;
 Echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">" ;
 Echo "<TR><TD BGCOLOR=\"".$theme [0][45]."\">Type&nbsp;de&nbsp;graphe</TD></TR>" ;
 Echo "<TR><TD><SELECT NAME=\"type_graphique\">"; //Onchange=\"javascript:visualise_option('graphique_'+this.value)\">" ;
 Echo "<OPTION VALUE=\"1\"" ; If ($type_graphique == 1) { Echo " SELECTED" ; } Echo ">Barres</OPTION>" ;
 Echo "<OPTION VALUE=\"2\"" ; If ($type_graphique == 2) { Echo " SELECTED" ; } Echo ">Lignes avec points</OPTION>" ;
 Echo "<OPTION VALUE=\"3\"" ; If ($type_graphique == 3) { Echo " SELECTED" ; } Echo ">Lignes sans points</OPTION>" ;
 Echo "<OPTION VALUE=\"4\"" ; If ($type_graphique == 4) { Echo " SELECTED" ; } Echo ">Points</OPTION>" ;
 Echo "<OPTION VALUE=\"5\"" ; If ($type_graphique == 5) { Echo " SELECTED" ; } Echo ">Diagramme &eacute;toile</OPTION>" ;
 Echo "</SELECT></TD></TR>" ;
 /*
 Echo "<tr><td>" ;
 Echo "<fieldset id=\"graphique_1\" style=\"border:1px solid #000000;-moz-border-radius:5px\"><legend><b>Options</b></legend>" ;
 Echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">" ;
 Echo "<tr><td><input type=\"checkbox\" name=\"qh\" value=\"1\"" ; If ($quad_h == 1) { Echo " CHECKED" ; } Echo ">Horizontal&nbsp;" ;
 Echo "</table></fieldset>" ;
 Echo "</td></tr>" ;
 */
 Echo "<TR><TD BGCOLOR=\"".$theme [0][45]."\">Quadrillage</TD></TR>" ;
 Echo "<TR><TD>" ;
 Echo "<INPUT TYPE=\"CHECKBOX\" NAME=\"qh\" VALUE=\"1\"" ; If ($quad_h == 1) { Echo " CHECKED" ; } Echo ">Horizontal&nbsp;" ;
 Echo "<INPUT TYPE=\"CHECKBOX\" NAME=\"qv\" VALUE=\"1\"" ; If ($quad_v == 1) { Echo " CHECKED" ; } Echo ">Vertical" ;
 Echo "</TD></TR>" ;
 //Echo "<TR><TD><HR></TD></TR>" ;
 Echo "<TR><TD BGCOLOR=\"".$theme [0][45]."\">Pas</TD></TR>" ;
 Echo "<TR><TD><SELECT NAME=\"pas\">" ;
 For ($i = 1 ; $i <= $pas_graphe [0] ; $i++)
  {
   If ($gestion ["max"]%$pas_graphe [$i] == 0)
    {
     Echo "<OPTION VALUE=\"".($gestion ["max"]/$pas_graphe [$i])."\"" ;
     If ($pas == $gestion ["max"]/$pas_graphe [$i]) { Echo " SELECTED" ; }
     Echo ">&nbsp;".($gestion ["max"]/$pas_graphe [$i])."&nbsp;point" ;
     If ($gestion ["max"]/$pas_graphe [$i] > 1) { Echo "s" ; }
     Echo "</OPTION>" ;
    }
  } 
 Echo "</SELECT></TD></TR>" ;
 //Echo "<TR><TD><HR></TD></TR>" ;
 If ($droit_courant != $droit_eleve)
  {
   Echo "<TR><TD BGCOLOR=\"".$theme [0][45]."\">Comparaison</TD></TR>" ;
   If ($periode_actuelle > 1)
    {
     Echo "<TR><TD><INPUT TYPE=\"CHECKBOX\" NAME=\"cp0\" VALUE=\"1\"" ; If ($compare0 == 1) { Echo " CHECKED" ; } Echo ">&nbsp;P&eacute;riodes</TD></TR>" ;
    }
   Else
    {
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"cp0\" VALUE=\"".$compare0."\">" ;
    }
   Echo "<TR><TD><INPUT TYPE=\"CHECKBOX\" NAME=\"cp1\" VALUE=\"1\"" ; If ($compare1 == 1) { Echo " CHECKED" ; } Echo ">&nbsp;Classe</TD></TR>" ;
   If (Count ($eleves) > 1)
    {
     Echo "<TR><TD><INPUT TYPE=\"CHECKBOX\" NAME=\"cp2\" VALUE=\"1\"" ; If (($compare2 == 1) And ($comp_id_el != $el)) { Echo " CHECKED" ; } Echo ">&nbsp;<SELECT NAME=\"comp_id_el\">" ;
     For ($i = 0 ; $i < Count ($eleves) ; $i++)
      {
       If ($el != $i) { Echo "<OPTION VALUE=\"".$i."\"" ; If ($comp_id_el == $i) { Echo " SELECTED" ; } Echo ">".$noms [$i]." ".SubStr ($prenoms [$i], 0, 1).".</OPTION>" ; }
     }
     Echo "</SELECT></TD></TR>" ;
    }
  }
 Echo "<TR><TD BGCOLOR=\"".$theme [0][45]."\">Taille&nbsp;graphe</TD></TR>" ;
 Echo "<TR><TD><TABLE BORDER=\"0\" ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\">" ;
 Echo "<TR><TD VALIGN=\"MIDDLE\"><B>Horz.</B>&nbsp;:&nbsp;</TD>" ;
 If ($largeur_graphe > $largeur_graphe_mini_defaut)
  {
   Echo "<TD VALIGN=\"MIDDLE\"><INPUT TYPE=\"IMAGE\" SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][16]."\" NAME=\"change_graphe\" VALUE=\"-\" onClick=\"document.controle.pas_largeur.value=".(1/$graphe_pas_largeur).";document.controle.pas_hauteur.value=1\"></TD>" ;
  }
 Else { Echo "<TD>&nbsp;</TD>" ; }
 Echo "<TD>&nbsp;</TD>" ;
 If ($largeur_graphe < $largeur_graphe_maxi_defaut)
  {
   Echo "<TD VALIGN=\"MIDDLE\"><INPUT TYPE=\"IMAGE\" SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][15]."\" NAME=\"change_graphe\" VALUE=\"+\" onClick=\"document.controle.pas_largeur.value=".$graphe_pas_largeur.";document.controle.pas_hauteur.value=1\"></TD>" ;
  }
 Else { Echo "<TD>&nbsp;</TD>" ; }
 Echo "</TR><TR><TD VALIGN=\"MIDDLE\"><BR><B>Vert.</B>&nbsp;:&nbsp;</TD>" ;
 If ($hauteur_graphe > $hauteur_graphe_mini_defaut)
  {
   Echo "<TD VALIGN=\"MIDDLE\"><INPUT TYPE=\"IMAGE\" SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][16]."\" NAME=\"change_graphe\" VALUE=\"-\" onClick=\"document.controle.pas_largeur.value=1;document.controle.pas_hauteur.value=".(1/$graphe_pas_hauteur)."\"></TD>" ;
  }
 Else { Echo "<TD>&nbsp;</TD>" ; }
 Echo "<TD>&nbsp;</TD>" ;
 If ($hauteur_graphe < $hauteur_graphe_maxi_defaut)
  {
   Echo "<TD VALIGN=\"MIDDLE\"><INPUT TYPE=\"IMAGE\" SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][15]."\" NAME=\"change_graphe\" VALUE=\"+\" onClick=\"document.controle.pas_largeur.value=1;document.controle.pas_hauteur.value=".$graphe_pas_hauteur."\"></TD>" ;
  }
 Else { Echo "<TD>&nbsp;</TD>" ; }
 Echo "</TR></TABLE></TD></TR>" ;
 Echo "<TR><TD BGCOLOR=\"".$theme [0][45]."\">Indicateurs</TD></TR>" ;
 Echo "<TR><TD>" ;
 Echo "<INPUT TYPE=\"CHECKBOX\" NAME=\"id40\" VALUE=\"1\"" ; If ($ind_40 == 1) { Echo " CHECKED" ; } Echo ">40%&nbsp;" ;
 Echo "<INPUT TYPE=\"CHECKBOX\" NAME=\"id60\" VALUE=\"1\"" ; If ($ind_60 == 1) { Echo " CHECKED" ; } Echo ">60%" ;
 Echo "</TD></TR>" ;
 Echo "<TR><TD ALIGN=\"CENTER\"><INPUT TYPE=\"IMAGE\" SRC=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][17]."\" NAME=\"submit\" VALUE=\" Changer \"></TD></TR></FORM>" ;
 Echo "</TABLE>" ;
 Include ("../include/fin_theme.inc") ;
 Echo "</div>" ;
 // OUTILS --------------------------------------------------------
 
 // Mise a jour de la fenetre dessous
 If ($etat_fenetre == 1)
  {
   Echo "<script>" ;
   Echo "window.open(\"./bilan_eleve.php?etat_fenetre=0&code=".$_SESSION ["code"]."&el=".($el-1)."&id_classe=".$id_classe."&periode=".$periode ;
   Echo "&type_graphique=".$type_graphique."&pas=".$pas."&quad_h=".$quad_h."&quad_v=".$quad_v."&compare0=".$compare0 ;
   Echo "&compare1=".$compare1."&compare2=".$compare2."&comp_id_el=".$comp_id_el."&largeur_graphe=".$largeur_graphe."&hauteur_graphe=".$hauteur_graphe."\",\"" ;
   If ($droit_courant == $droit_prof) { Echo "travail_affichage" ; } Else { Echo "travail" ; }
   Echo "\",\"\");" ;
   Echo "</script>" ;
  }
 //Echo "</div></BODY><HTML>" ;
 Echo "<script type=\"text/javascript\">top.travail.travail_menu.document.consultation.type.value=".$type.";</script>" ;
 Echo "</body></html>" ;
?>